# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from AlertDB.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $MonDBDir = "/var/cobalt";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/AlertDB.pm.  Changes made here will be lost.
package Cobalt::AlertDB;

sub db_get_history
# Get all past entries for a server
# Arguments: the server name
# Returns: array of all past message strings
# Reads in the log file in /var/cobalt, which is written in HTML format
#   and includes debugging information in the comment fields
{
    my ($server) = @_;
    open(LOG,"$MonDBDir/$server.log") ||
	return "3051 Cannot write log file $MonDBDir/$service.log: $!";
    my @entries = <LOG>;
    close LOG;
    return @entries;
}

use Cobalt::Language;

1;
