# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from AlertDB.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Status_db = "/var/cobalt/status";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/AlertDB.pm.  Changes made here will be lost.
package Cobalt::AlertDB;

sub db_start
# Prepare to read the database
# Moves the read pointer for a server back to the top
# Arguments: none
# Side effects: resets the read index
{
    my ($server) = @_;
    my (%STATUS);
    db_sort($server);  # make sure we get our info in sorted order
    unless(tie(%STATUS, 'DB_File', $Status_db, O_CREAT()|O_RDWR(),0644))
    {
	return "4052 Cannot access database $Status_db: $!";
    }
    $STATUS{"$server.rptr"} = 1;
    untie %STATUS;    
}

use Cobalt::Language;

1;
