# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Atalk.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Netatalk_ptmp = "/etc/locks/netatalk_ptmp";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Atalk.pm.  Changes made here will be lost.
package Cobalt::Atalk;

# atalk_unlock_passwd
#
# unlocks the netatalk passwd file by removing $Netatalk_ptmp
#
# no args, no return unless error
#
sub atalk_unlock_passwd {
  print STDERR "atalk: called Cobalt::Atalk::atalk_unlock_passwd()\n" if ($Debug);

  unlink($Netatalk_ptmp)
    or return "4009 Cannot unlink /etc/locks/netatalk_ptmp: $!";
  return "2009 Atalk passwd file unlocked";
}


1;
