# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Email.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $MailAccessDB = "/etc/mail/access";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Email.pm.  Changes made here will be lost.
package Cobalt::Email;

sub mail_get_relay
# Obtains the networks/domains allowed to use sendmail to relay mail
# Arguments: none
# Return value: array of networks/domains
{
        my (@relays);
	my ($notend) = 1;
        if (-r $MailAccessDB)
        {
                open (ACCESSDB,"$MailAccessDB")
                  || return "4070 Cannot read relay access database: $!";
                while (<ACCESSDB>)
                {
                        chomp ($_);
			if ($notend)
			{
				if ( /(\S+)\s+RELAY/o )
				{
					push (@relays, $1);
				}
                        	elsif ( /^# Put custom additions below/o )
                        	{
					$notend = 0;
                        	}
			}
                }
                close (ACCESSDB);
        }
        return(@relays);
}


1;
