# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Email.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Email.pm.  Changes made here will be lost.
package Cobalt::Email;

sub mail_virtuser_set_byuser
# Adds/Removes aliases as necessary
# Arguments: username, array of aliases
# Return value: string of the form "4200 Intellect overflow line 0"
{
	my($username,@alii) = @_;
	my($alias,%newalii);
	foreach $alias (@alii) { $newalii{"$alias"} = $username; }
	
	my(@oldalias) = Cobalt::Email::mail_virtuser_get_byuser($username);
	my($alias,%oldalii);
	foreach $alias (@oldalias) { $oldalii{"$alias"} = $username; }

	my($ret) = Cobalt::Email::mail_virtuser_del_alias(%oldalii);
	return $ret if ($ret !~ /^2/o);

	my($ret) = Cobalt::Email::mail_virtuser_add_alias(%newalii);
	if ($ret !~ /^2/o) {
	    # try to restore to the initial value
	    # this is NOT guaranteed to work, though
	    Cobalt::Email::mail_virtuser_add_alias(%oldalii);

	    return $ret;
	}

	return "2033 Virtual user aliases updated successfully";
}


1;
