# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Expert.pm

# Copyright 1998 Cobalt Microserver (http://www.cobaltmicro.com)

use strict;
### START HARDCODED PATHS
my $Sendmail_conf = "/etc/sendmail.cf";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = $Debug;
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Expert.pm.  Changes made here will be lost.
package Cobalt::Expert;

sub mail_get_masq
# Get the name of the domain we masquerade as
# Arguments: none
# Return value: a domain name, or blank for no masquerading
# Side effects: none
# Example: my $domain = get_mail_masq();
{
    my $masqas = '';
    unless (open(SI,$Sendmail_conf))
    {
	return "4159 Cannot read mail server config file: $!";
    }
    while (<SI>)
    {
	if (/^DM(.*)/o)
	{
	    $masqas = $1;
	    last;
	}
    }
    close SI;
    return $masqas;
}


use Cobalt::Language;

1;
