# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Expert.pm

# Copyright 1998 Cobalt Microserver (http://www.cobaltmicro.com)

use strict;
### START HARDCODED PATHS
my $If_cfg_dir = "/etc/sysconfig/network-scripts";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = $Debug;
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Expert.pm.  Changes made here will be lost.
package Cobalt::Expert;

sub vhost_list
# Get a list of virtual interfaces
# Arguments: none
# Return value: a list of interfaces ("eth0:0","eth0:1",...)
{
    opendir(IFDIR,$If_cfg_dir) || 
	return "4148 Cannot read network script directory $If_cfg_dir: $!";
    my @ifcfgs = map { substr($_,6) }  # skip the ``ifcfg-'' part of the name
	sort(grep(/^ifcfg-eth0:\d+/o,readdir(IFDIR)));
    closedir IFDIR;
    return @ifcfgs;
}

use Cobalt::Language;

1;
