# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Fetchmail.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Fetchmailrc_dir = "/var/fetchmail";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Fetchmail.pm.  Changes made here will be lost.
package Cobalt::Fetchmail;

sub fm_get_user_rc 
# returns the contents of the user's fetchmailrc file
# arguments:
#    $user: local user name
{
  my($user) = @_;
  my ($server, $username, $localname, $passwd, $poll);

  # create the /var/fetchmail dir if it doesn't exist
  if (! -e "$Fetchmailrc_dir") {
    mkdir("$Fetchmailrc_dir", 0755);
  }  

  open(FMRC, "$Fetchmailrc_dir/$user")
    || return "4192 Cannot read fetchmailrc: $!";
  foreach (<FMRC>) {
    if (/^poll \"([^\"]+)\"/o) {
      $server = $1;
    }
    if (/^user \"([^\"]+)\"/o) {
      $username = $1;
    }
    if (/^is \"([^\"]+)\"/o) {
      $localname = $1;
    }
    if (/^password \"([^\"]+)\"/o) {
      $passwd = $1;
    }
  }
  close(FMRC);

  return ($server, $username, $localname, $passwd);
}


1;
