# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Fpx.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Htgroup_dir = "/home/sites";
my $MainGroup = "home";
my $Webdir = "web";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Fpx.pm.  Changes made here will be lost.
package Cobalt::Fpx;

sub fpx_rename_htaccess
# Rename .htaccess files to something else
# Arguments: directory root
# Return value: array of qualified files moved
{
  my($basedir)=@_;

  my(@htax,$hta);
  open(HTAS,"/usr/bin/find $basedir -name .htaccess -print |")
    || return();
  while(<HTAS>) { chop; push(@htax,$_); }
  foreach $hta (@htax) 
  {
    move("$hta","$hta.FP98") unless ($hta eq "$Htgroup_dir/$MainGroup/$Webdir/.htaccess");
  }
  close HTAS;
  return(@htax);
}


1;
