# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Group.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Group.pm.  Changes made here will be lost.
package Cobalt::Group;

sub group_set_user
# group_set_user: set the members list for a group
# Arguments: the name of the group and an array of members
# Side effects: modifies /etc/group, /etc/htgroup
{
    my $return;
    return $return unless (($return = Cobalt::Group::lock_group()) =~ /^2/o);
    my($group,@members) = @_;
    return $return unless (($return = Cobalt::Group::group_set_membership($group,@members))
			   =~ /^2/o);
    return $return unless (($return = Cobalt::Group::commit_group()) =~ /^2/o);
    return "2222 Membership of group $group set successfully";
}


1;
