# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Language_japanese.pm

# Copyright 1998 Cobalt Microserver (http://www.cobaltmicro.com)

use strict;
### START HARDCODED PATHS
my $DiskRed = "90";
my $DiskYel = "80";
my $Htgroup_dir = "/home/sites";
my $LoadRed = "6";
my $LoadYel = "3";
my $QuotRed = "95";
my $QuotYel = "85";
my $UserServer_dir = "/usr/httpd";
my $Userdir = "/home/sites";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = $Debug;
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Language_japanese.pm.  Changes made here will be lost.
package Cobalt::Language_japanese;

sub msg_get_message
# Given the flags from the monitoring database, return the message.
#   This message should provide advice on how the user should deal
#   with the problem at hand.
# Arguments: service, instance, flags
# Return value: message string
# We should be able to figure out the message to give based just on
#   the service and instance.  Instead, we're basing it just on flags,
#   at least for now.
{
    my ($service,$instance,$flags) = @_;
 
    #my ($severity,$ctime,$status,$data1,$data2,$data3) = 
    #    db_prev_entry($service,$instance);

    my %messages = (
		    100 => 
"fBXNقƂǂςɂȂĂ܂BF̌xv́A󂫃fBXNeʂ $DiskYel% ȏAԐF̌xv $DiskRed% ȏgpƂꂼꎦĂ܂B̃t@Cʂ̋LuɈړ Cobalt Qube 폜邩A܂́APɂ̂܂܍폜Kv܂B",
		    110 =>
"Cobalt Qube ̃fBXN蓖Ă𒴉߂\܂BF̃v͊蓖ĂꂽfBXNeʂ $QuotYel% AԐF̃v $QuotRed% gpƂꂼꎦĂ܂B̃t@C폜Kv܂BȂƁA Cobalt Qube Ƀt@CǉłȂȂ܂B",
		    120 =>
"Cobalt Qube  CPU ׂ܂Bɑ̂ƂsƂĂ܂BF̃v́AۂɎsĂ^XN $LoadYel {̃^XNAԐF̃v $LoadRed {̃^XNAs҂ɂȂĂ邱ƂꂼĂ܂B̃T[rX𑼂 Cobalt Qube }CNT[oɈڂACobalt Qube ŎsĂ CGI XNvgGłȂ̂ɂ悤ɂ߂܂B",
		    125 =>
"Cobalt Qube ̃sĂ܂B}CNT[o DRAM ݂̑߂܂B",
		    130 =>
"Cobalt Qube Ńlbg[N̏Փ˂Ă܂B̖̓lbg[N̔zsK؂ł邽߂ɋN邱Ƃ܂Albg[ÑgtBbNƂł\łBCobalt Qube ̃lbg[N gtBbNʂ炷߂ɁAXCb`O nugp邱Ƃ߂܂B",
		    140 =>
"Cobalt Qube ̃sĂ܂B}CNT[o DRAM ݂̑߂܂B",
		    150 =>
"Cobalt Qube ̃sĂ܂B}CNT[o DRAM ݂̑߂܂B",
		    160 =>
"Cobalt Qube ɑʂ̓dq[ۑĂ邽߁AfBXN̎gpʂ܂B̓dq[̈ꕔ Cobalt Qube 玩̃Rs[^Ɉړ邩A[ [_[ uT[oɃ[cvIvVItɂĂB",
		    200 =>
"lbg[N T[oڑ̊mɁACobalt Qube ɓG[܂B邽߁A}CNT[oċNĂ݂ĂB肪Ȃꍇ́Awww.cobaltmicro.com ɂāACobalt eNjJ T|[gւ₢킹B",
		    210 =>
"T[rX 1 _EĂ\܂BCobalt Qube ̃Rg[ plŁÃT[rXItɂčĂуIɂĖ肪邩ĂBȂꍇ́A}CNT[ogu[gĂBł肪Ȃꍇ́Awww.cobaltmicro.com  Cobalt ZpT|[g܂ŘAĂB",
		    220 =>
"Cobalt Qube  NFS T[oɏQ\܂B̃[Xł́ANFS ͊Sɂ̓T|[gĂ܂B.",
		    230 =>
"Cobalt Qube  AppleTalk T[rX@\ĂȂ\܂BCobalt Qube ̃Rg[ pl AppleTalk ItɂčĂуIɂĖ肪邩ĂBȂꍇ́A}CNT[ogu[gĂBł肪Ȃꍇ́Awww.cobaltmicro.com  Cobalt ZpT|[g܂ŘAĂB",
		    300 =>
"Cobalt Qube Ŏs̓vZX 1 ُI܂B}CNT[oċNĂ݂ĂB肪Ȃꍇ́Awww.cobaltmicro.com ɂāACobalt eNjJT|[gւ₢킹B",
		    );

    if (defined($messages{$flags}))
    {
	return $messages{$flags};
    }
    else
    {
	#                  For Future Expansion
	#
	# eventually we should switch to this as the way to define
	# messages.  For now, it isn't.

	if    ($service eq "adm")    # Administrative web server
	{
	    return "ǗEFu T[o_EĂ\܂B}CNT[oċNĂ݂ĂB肪Ȃꍇ́Awww.cobaltmicro.com ɂāACobalt eNjJT|[gւ₢킹B";
	}
	elsif ($service eq "atalk")  # Appletalk server
	{
	    return "Cobalt Qube  AppleTalk T[rX@\ĂȂ\܂BCobalt Qube ̃Rg[ pl AppleTalk ItɂčĂуIɂĖ肪邩ĂBȂꍇ́A}CNT[ogu[gĂBł肪Ȃꍇ́Awww.cobaltmicro.com  Cobalt ZpT|[g܂ŘAĂB";
	}
	elsif ($service eq "cpu")    # CPU load
	{
	    # $data1 is the load average
	    return "CPU ׂ̕傫܂BċNĂB";
	}
	elsif ($service eq "crond")  # scheduled command daemon
	{
	    # doesn't show up in UI
	    return "The cron daemon is down.  Reboot.";
	}
	elsif ($service eq "custo")  # independent cron monitor daemon
	{
	    # doesn't show up in UI
	    return "Reboot.";
	}
	elsif ($service eq "disk")   # disk usage
	{
	    if    ($instance =~ /([^,]+),0$/o) # user quota
	    {
		# $data1 is the percentage of quota used
		# $1 is the user login name
		return "User $1 is using too much of his/her quota.  Reboot.";
	    }
	    elsif ($instance =~ /([^,]+),1$/o) # group quota
	    {
		# $data1 is the percentage of quota used
		# $1 is the group name
		return "Group $1 is using too much of its quota.  Reboot.";
	    }
	    elsif ($instance =~ /([^,]+),mail$/o) # user mail spool
	    {
		# $data1 is the size (in kb) of the user's spool
		# $1 is the users login name
		return "User $1 is using many kilobytes of mail spool.  Reboot.";
	    }
	    elsif ($instance =~ /^$UserServer_dir/o) # area usage
	    {
		# $data1 is the usage in bytes 
		if ($instance eq $Userdir)         # user area
		{
		}
		elsif ($instance eq $Htgroup_dir)  # group area
		{
		}
		else                           # some other area (?)
		{
		}
	    }
	    elsif ($instance =~ /^(\/.+)/o) # disk usage per partition
	    {
		# $data1 is the percent of capacity used
		# $1 is the partition name
	    }
	}	
	elsif ($service eq "dns")
	{
	    if    ($instance eq "dns")   # check name service on its port
	    {
	    }
	    elsif ($instance eq "named") # name server process
	    {
	    }
	}
	elsif ($service eq "ftp")     # FTP server (run via inetd)
	{
	}
	elsif ($service eq "inetd")   # master internet service broker
	{
	}
	elsif ($service eq "lcd")     # the LCD panel process
	{
	}
	elsif ($service eq "mail")    # mail server
	{
	    if    ($instance eq "SMTP")  # SMTP server
	    {
	    }
	    elsif ($instance eq "POP3")  # POP3 server (run via inetd)
	    {
	    }
	    elsif ($instance eq "IMAP")  # IMAP server (run via inetd)
	    {
	    }
	}
	elsif ($service eq "mem")
	{
	    if    ($instance eq "swapping")  # how much swapping is going on?
	    {
	    }
	    elsif ($instance eq "vmem")      # virtual memory use
	    {
	    }
	}
	elsif ($service eq "net")               # network interface
	    {
		if    ($instance eq "collisions")  # collisions since boot
		{
		}
		elsif ($instance eq "col15")  # collisions over past 15 minutes
		{
		}
	    }
	elsif ($service eq "nfs")    # Network File System (UNIX filesharing)
	{
	    if    ($instance eq "rpc.nfsd")    # NFS server daemon
	    {
	    }
	    elsif ($instance eq "rpc.mountd")  # NFS authentication daemon
	    {
	    }
	    elsif ($instance eq "showmount")   # NFS testing
	    {
	    }
	}
	elsif ($service eq "portmap") # portmapper process (used by NFS and NIS)
	{
	}
	elsif ($service eq "smb")     # windows file sharing
	{
	    if    ($instance eq "smb")   # network connections to the smb port
	    {
	    }
	    elsif ($instance eq "smbd")  # samba server process
	    {
	    }
	    elsif ($instance eq "nmbd")  # netbios name service daemon process
	    {
	    }
	}
	elsif ($service eq "www")     # main web server
	{
	}

	return "Message number $flags for $service";
    }
}

use Cobalt::Language;

1;
