# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Language_japanese.pm

# Copyright 1998 Cobalt Microserver (http://www.cobaltmicro.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = $Debug;
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Language_japanese.pm.  Changes made here will be lost.
package Cobalt::Language_japanese;

sub msg_get_subject
# Build the subject line for alert email
# Arguments: server, instance, flags (same as msg_get_message)
# Side effects: none
# Return value: A message string
{
    my ($server,$instance,$flags) = @_;
    if ($server eq "disk")
    {
	if    ($instance =~ /([^,]+),0$/o) # user quota
	{
	    return "[U $1 ĂzĂ܂B";
	}
	elsif ($instance =~ /([^,]+),1$/o) # group quota
	{
	    return "O[v $1 ĂzĂ܂B";
	}
	elsif ($instance =~ /([^,]+),mail$/o) # user mail spool
	{
	    return "[U $1 ̓dq[̃Xv[eʂ傫܂B"; # :::- Messages.pm.doc
#"User CGIs already disabled" =";
	}
	else
	{
	    return "fBXNtɂȂ܂B";
	}
    }
    return "$server T[oɖ肪܂B";  # default
}

use Cobalt::Language;

1;
