# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from List.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/List.pm.  Changes made here will be lost.
package Cobalt::List;

sub alias_exist_in_file
# Does the given alias exist in this file?
# Arguments: alias name, file name
# Return value: true if it does, false if it doesn't
{
    my ($alias, $file) = @_;
    return 0 if (! -e $file);
    open(ALIAS, $file) ||
	return("4396 Cannot read from $file: $!");
    "$alias:" =~ /^$alias:/; # compile once per function call
    while (<ALIAS>) {
	(close ALIAS, return 1) if (//);
    }
    close ALIAS;
    return 0;
}


1;
