# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from List.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Aliasfile = "/etc/aliases";
my $Majordomo_aliases = "/etc/aliases.majordomo";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/List.pm.  Changes made here will be lost.
package Cobalt::List;

sub alias_get
# Returns all the aliases for an address
# Arguments: address
# Return value: an array of ( member1, member2... )
{
    my ($user) = @_;
    my @list = Cobalt::List::alias_get_from_file($user, $Aliasfile);
    return $list[0] if ($list[0] =~ /^[134]\S*\s/);
    return @list unless ($#list < 0);
    return Cobalt::List::alias_get_from_file($user, $Majordomo_aliases);
}


1;
