# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from List.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/List.pm.  Changes made here will be lost.
package Cobalt::List;

######################################################

sub list_sites_lists
# Returns a list of all mailing lists associated with a site
# Arguments: site group name
# Return value: an array of all the mailing lists
{
    my ($group) = @_;
    my (@lists, $list, @out);
    # If we get an error back from list_lists(), just return it
    return $lists[0] if ((@lists = list_lists())[0] =~ /^[134]\S*\s/);
    "a_$group" =~ /^(.+)_$group$/; # precompile the regexp
    foreach $list (@lists) {
	push @out, $1 if ($list =~ //);
    }
    return @out;
}


1;
