# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from List.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/List.pm.  Changes made here will be lost.
package Cobalt::List;

sub uniq
# Removes replicates from a sorted list
# Arguments: input list
# Return value: uniq-ed list
{
    my ($prev, @list);
    while ($_ = shift) {
	 push @list, ($prev = $_) if ($prev ne $_);
    }
    return @list;
}


1;
