# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Mail.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $MailDenyFile = "/etc/mail/deny";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Mail.pm.  Changes made here will be lost.
package Cobalt::Mail;

sub mail_get_deny
# Get the list of site from which we refuse mail
# Arguments: none
# Return value: a list of sites we block
# Example: @spammers = mail_get_deny();
{
    my @spammers;
    open(DENY,"$MailDenyFile") ||
	return "4161 Cannot read mail deny file $MailDenyFile: $!";
    while (<DENY>)
    {
	push(@spammers,(split(/\t/o))[0]);
    }
    close DENY;
    return @spammers;
}


1;
