# This file was built automatically from Messages.pm

# Copyright 1998 Cobalt Microserver (http://www.cobaltmicro.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = $Debug;
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Messages.pm.  Changes made here will be lost.
package Cobalt::Messages;

sub msg_get_subject
# Build the subject line for alert email
# Arguments: server, instance, flags (same as msg_get_message)
# Side effects: none
# Return value: A message string
{
    my ($server,$instance,$flags) = @_;
    if ($server eq "disk")
    {
	if    ($instance =~ /([^,]+),0$/o) # user quota
	{
	    return "User $1 is over quota.";
	}
	elsif ($instance =~ /([^,]+),1$/o) # group quota
	{
	    return "Group $1 is over quota.";
	}
	elsif ($instance =~ /([^,]+),mail$/o) # user mail spool
	{
	    return "User $1's mail spool is too large. ";
	}
	else
	{
	    return "The disk is getting full";
	}
    }
    return "Problem with $server";  # default
}

1;
