# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Modem.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Modem.pm.  Changes made here will be lost.
package Cobalt::Modem;

sub modem_set_connmode
# Descr:        Set the modem connection mode
# Arguments:    A reference to a hash containing all the modem settings
#               An integer indicating the connection mode
#               0 for dial on demand 
#               1 for always connected 
#		2 never connected (diald off)
# Return:       Return code like "2000 OK"
# Ex:           $ret=Cobalt::Modem::modem_set_connmode( $modemRef, 1 );
{

        my($modemRef,$connmode_in) = @_;
        $$modemRef{'CONNMODE'} = $connmode_in;

        return "2086 Connection mode set successfully";

}


1;
