# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Modem.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Modem.pm.  Changes made here will be lost.
package Cobalt::Modem;

sub modem_set_initstr
# Descr:        Set the modem initstring 
# Arguments:    A reference to a hash containing all the modem settings
#               a string containing the initstring 
# Return:       Return code like "2000 OK"
# Ex:           $ret=Cobalt::Modem::modem_set_model( $modemRef, 'ATZ' );
{

        my($modemRef,$initstr_in) = @_;
        $$modemRef{'INITSTR'} = $initstr_in;

        return "2090 Initialization string set successfully";

}


1;
