# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Modem.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Modem.pm.  Changes made here will be lost.
package Cobalt::Modem;

sub modem_set_localip
# Descr:        Set the local IP address and netmask 
# Arguments:    A reference to a hash containing all the modem settings
#               A string containing the IP Address 
#               A string containing the netmask
# Return:       return code like 2000 OK`
# Ex:           $ret = Cobalt::Modem::modem_set_localip( $modemRef,'10.9.25.238','255.255.255.0');
#
{

        my($modemRef,$localip_in,$netmask_in) = @_;
        $$modemRef{'LOCALIP'} = $localip_in;
        $$modemRef{'NETMASK'} = $netmask_in;

        return "2088 IP address information set successfully";


}


1;
