# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Monitor.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Cron_log = "/var/log/cron";
my %Status = ("none","0","0","none","green","1","1","green","2","yellow","red","3","3","red","yellow","2");
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Monitor.pm.  Changes made here will be lost.
package Cobalt::Monitor;

sub mon_cronwatch
# Check to see that cron is updated its logfile.
# Cron tends to die easily if the clock gets messed with.
# Arguments: none
# Side effects: checks the timestamp on /var/log/cron against the current time
#   updates the monitor database
{
  if ((stat($Cron_log))[9] < (time() - 360)) {
    Cobalt::Monitor::mon_set_state("crond","log",$Status{"red"},"-","-","-","-");
  } else {
    Cobalt::Monitor::mon_set_state("crond","log",$Status{"green"},"-","-","-","-");
  }
}


1;
