# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Monitor.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my %Status = ("none","0","0","none","green","1","1","green","2","yellow","red","3","3","red","yellow","2");
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Monitor.pm.  Changes made here will be lost.
package Cobalt::Monitor;

sub mon_loadwatch
# Log when the CPU load is too great
# Arguments: yellow threshold, red threshold
# Side effects: updates the database
# Return value: none
{
    my ($yelt,$redt) = @_;
    my ($five,$fifteen);
    open(LOAD,"/proc/loadavg") ||
	return "4679 Cannot read load average: $!";
    my $line = <LOAD>;
    $line =~ /^(\d+\.\d+)\s*(\d+\.\d+)\s*(\d+\.\d+)/o;
    close LOAD;
    #$five = $2;
    $fifteen = $3;

    if ($fifteen >= $redt)
    {
      Cobalt::Monitor::mon_set_state("cpu","load",$Status{"red"},"-","-","-","$fifteen");
    }
    elsif ($fifteen >= $yelt)
    {
      Cobalt::Monitor::mon_set_state("cpu","load",$Status{"yellow"},"-","-","-","$fifteen");
    }
    else
    {
      Cobalt::Monitor::mon_set_state("cpu","load",$Status{"green"},"-","-","-","$fifteen");
    }
}


1;
