# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Monitor.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Showmount = "/usr/sbin/showmount";
my %Status = ("none","0","0","none","green","1","1","green","2","yellow","red","3","3","red","yellow","2");
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Monitor.pm.  Changes made here will be lost.
package Cobalt::Monitor;

sub mon_nfstest
# Check to see if the server is talking NFS
# Arguments: none
# return value: none
# Side effects: updates the database
{
    my $try =`$Showmount -e 2>&1`;
    unless ($?)
    {
      Cobalt::Monitor::mon_set_state("nfs","showmount",$Status{"green"},"-","-","-","-");
    }
    else
    {
      Cobalt::Monitor::mon_set_state("nfs","showmount",$Status{"red"},"-","-","-","-");
    }
}


1;
