# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Monitor.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Nslookup = "/usr/bin/nslookup";
my %Status = ("none","0","0","none","green","1","1","green","2","yellow","red","3","3","red","yellow","2");
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Monitor.pm.  Changes made here will be lost.
package Cobalt::Monitor;

sub mon_nslookuptest
# Check to see if the server is talking appletalk
# Arguments: none
# return value: none
# Side effects: updates the database
{
    my ($host) = Cobalt::Network::net_get_hostname();

    open(NSL,"$Nslookup $host 2>&1 |") ||
	return "4685 Cannot run /usr/bin/nslookup: $!";
    while (<NSL>)
    {
	if (/Name:\s+$host/)
	{
	  #Cobalt::Monitor::mon_set_state("dns","nslookup",$Status{"green"},"-","-","-","-");
          mon_set_state("mail","nslookup",$Status{"green"},"-","-","-","-");

	}
	elsif (/^\*\*\*/o)
	{
	  #Cobalt::Monitor::mon_set_state("dns","nslookup",$Status{"red"},"-","-","-","-");
+         mon_set_state("mail","nslookup",$Status{"red"},"-","-","-","-");
	}
    }
    close NSL;
}


1;
