# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from NAS.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Df_cmd = "/bin/df";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/NAS.pm.  Changes made here will be lost.
package Cobalt::NAS;

# nas_fs_candidates
#
# Lists filesystems with at least the specified free space
#
# arg: desired free space
# return: list of candidates (empty list indicates no candidates)
#
sub nas_fs_candidates {
  my $size = shift;
  my @line;
  my @cands = ();

  # call df directly to avoid multiple runs
  open(DF, "$Df_cmd|");
  foreach (<DF>) {
    @line = split;
    if ($line[3] < $size) {
      push(@cands, $line[0]);
    }
  }
  close(DF);
  return @cands;
}


1;
