# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from NAS.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Df_cmd = "/bin/df";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/NAS.pm.  Changes made here will be lost.
package Cobalt::NAS;

# nas_fs_freespace
#
# reports the free space on a filesystem
# arg: filesystem name (i.e., md0, hda1)
# returns: a list containing (total KB, used KB, available KB)
sub nas_fs_freespace {
  my $fs = shift;
  my @line;
  open(DF, "$Df_cmd /dev/$fs|");
  foreach (<DF>) {
    @line = split;
    if ($line[0] eq "/dev/$fs") {
      close(DF);
      return ($line[1], $line[2], $line[3]);
    }
  }
  close(DF);
  return "4707 Filesystem $fs does not exists";
}


1;
