# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from NAS.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/NAS.pm.  Changes made here will be lost.
package Cobalt::NAS;

# nas_group_expand_memberlist
#
# Takes a list of users and groups and expands all groups.
# No duplicate users will appear in the returned list.
# arg: list of users and groups
# returns: a sorted list of users
#
sub nas_group_expand_memberlist {
  my @members = shift;

  my %memberhash;
  my $member;

  foreach $member (@members) {
    foreach (Cobalt::Group::group_show($member)) {
      $memberhash{$_} = 1;
    }
  }

  return sort(keys(%memberhash));
}


1;
