# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from NAS.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Df_cmd = "/bin/df";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/NAS.pm.  Changes made here will be lost.
package Cobalt::NAS;

# nas_list_fs
#
# arg: none
# returns: a list of available (mounted) filesystems
sub nas_list_fs {
  my @line;
  my @ret;

  open(DF, "$Df_cmd|");
  foreach (<DF>) {
    @line = split;
    push(@ret, $line[0]);
  }
  close(DF);
  return @ret;
}


1;
