# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from NAS.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/NAS.pm.  Changes made here will be lost.
package Cobalt::NAS;

# nas_share_list
#
# returns a list of all current shares
#
sub nas_share_list {
  my @list;
  while (Cobalt::Samba::get_smb_services()) {
    next if (/homes/io);
    next if (/global/io);
    push @list;
  }
  return @list;
}


1;
