# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Netutil.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Netutil.pm.  Changes made here will be lost.
package Cobalt::Netutil;

sub netutil_get_fulldomain
#
# return full domain name, or IP address if host or domain name is missing
#
{
    my $hostName = Cobalt::Network::net_get_hostname();
    my $domainName=( Cobalt::Network::net_get_dnsclient() )[ 0 ];
    if ($hostName && $domainName)
    { 
	($hostName !~ /$domainName$/) ?
	    (return "$hostName.$domainName") :
		(return $hostName);
    }
    else
    {
	return ( Cobalt::Network::net_get_ipaddr() )[ 0 ];
    }
}


1;
