# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Netutil.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Netutil.pm.  Changes made here will be lost.
package Cobalt::Netutil;

sub netutil_test_dns_server
# Check to see if a system responds to DNS requests
# Arguments: an IP address
# Return value: a string of the form "814 can't resolve the onion"
{
    my ($ip) = @_;
    my $IP = $ip;
    my $dns_port = 53;
    my $timeout = 3;
    my ($packedip);
    local (*SSOCK);
    $packedip = pack('S n a4 x8', AF_INET(), $dns_port, 
                     pack ('C4', split (/\./o, $ip)));
    $SIG{'ALRM'} = sub { close SSOCK; return "4302 Nameserver timed out"; } ;
    alarm($timeout);
    unless (socket(SSOCK,PF_INET(),SOCK_STREAM(),getprotobyname('tcp')))
    {
        close(SSOCK);
        return "4303 Cannot create socket: $!";
    }
    unless (connect(SSOCK, $packedip))
    {
        close(SSOCK);
        return "4304 Cannot connect: $!";
    }
    alarm(0);
    $SIG{'ALRM'} = 'DEFAULT';
    close(SSOCK);
    return "2480 $ip is listening on port 53";
}


1;
