# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Netutil.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Netutil.pm.  Changes made here will be lost.
package Cobalt::Netutil;

sub netutil_test_netaddr
# argument 0 is a network address (domain name or IP address)
# argument 1 is true if the network address can be a network IP instead of a host IP (optional)
# return 0 ( false ) or 1 ( true )
{
    if( $_[ 0 ]=~/^[0-9\.]*$/ ) { return Cobalt::Netutil::netutil_test_ipaddr( $_[ 0 ], $_[ 1 ] ); }
    else { return Cobalt::Netutil::netutil_test_domainname( $_[ 0 ] ); }
}


1;
