# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Netwatch.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Nbplkup = "/usr/bin/nbplkup";
my %Status = ("none","0","0","none","green","1","1","green","2","yellow","red","3","3","red","yellow","2");
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Netwatch.pm.  Changes made here will be lost.
package Cobalt::Netwatch;

sub atalktest
# Check to see if the server is talking appletalk
# Arguments: none
# return value: none
# Side effects: updates the database
{
    my ($host) = net_get_hostname();
    $host =~ s/\..+$//o; # basename w/o domain
    my ($afp,$neta,$ws);
    open(NL,"$Nbplkup|") ||
	return "4322 Cannot run $Nbplkup: $!";
    while (<NL>)
    {
	if (/$host:AFPServer/)
	{
	    $afp = 1;
	}
	elsif (/$host:netatalk/)
	{
	    $neta = 1;
	}
	elsif (/$host:Workstation/)
	{
	    $ws = 1;
	}
    }
    close NL;
    unless ($afp && $neta && $ws)
    {
	db_add_entry("atalk",$Status{'red'},0,time(),"230",
		     "Appleshare server is down","nbplkup");
    }
    else
    {
	db_add_entry("atalk",$Status{'green'},0,time(),0,
		     "Appleshare server is up","nbplkup");
    }
}

use Cobalt::Language;

1;
