# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Network.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Console = "/dev/console";
my $Netlock = "/etc/locks/NETLOCK";
my $Sauce_log = "/var/cobalt/sauce.log";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Network.pm.  Changes made here will be lost.
package Cobalt::Network;

sub net_abort
# Remove locks as we abort
# Arguments: error string, list of additional lockfiles to clean
# Return value: the error string which it was passed
# Example: return Cobalt::Network::net_abort("Help me!","$Lockdir/other.lock");
{
    my ($message,@locks) = @_;
    unlink($Netlock,@locks) || print STDERR "Help!  Can't unlock $Netlock\n";
    open(LOG,">>$Sauce_log") || open(LOG,">>$Console");
    print LOG "$0 aborting with $message\n";
    close LOG;
    return $message;
}


1;
