# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Network.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Network.pm.  Changes made here will be lost.
package Cobalt::Network;

sub net_get_interfaces
# Returns a list of physical network interfaces
# Arguments: none
# Return value: a list of network interfaces
{
  # we use a hash table to make sure we get a unique list
  # (eth0 doesn't show up many times if we have virtual interfaces)
  my %ifs;
  open(NS,"/proc/net/dev") 
    || return;
    # callers expects real interface names
#    || return "4358 Cannot read /proc/net/dev: $!";
  while (<NS>)
    {
      if (/^\s*(eth\d+):/o)
        {
	  $ifs{$1} = 1 unless(/No statistics available/o);
        }
    }
  close NS;
  return keys(%ifs);
}


1;
