# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Repair.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $FTP_link = "/etc/rc.d/rc3.d/S69ftpd";
my $FTP_script = "/etc/rc.d/init.d/ftpd";
my $Ftpd = "/usr/sbin/in.ftpd";
my $Ftpd_conf = "/etc/proftpd.conf";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Repair.pm.  Changes made here will be lost.
package Cobalt::Repair;

sub repair_ftp
# Fix the FTP server
# Arguments: none
# Side effects: none, ftp is repaired by repair_inetd
{
    if (-e $FTP_link)
      {
	return Cobalt::Repair::repair_generic("ftp",$Ftpd,$Ftpd_conf,
			      $FTP_script,"ftp",0)
      }
    return "1010 Repair of ftp not implemented";
}


1;
