# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Repair.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Diald_bin = "/usr/sbin/diald";
my $Diald_conf = "/etc/diald.conf";
my $Diald_script = "/etc/rc.d/init.d/diald.init";
my %Status = ("none","0","0","none","green","1","1","green","2","yellow","red","3","3","red","yellow","2");
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Repair.pm.  Changes made here will be lost.
package Cobalt::Repair;

sub repair_modem
# Fix the modem
# Arguments: none
# Return value: none
# Side effects: attempts to troubleshoot the modem
{
  my ($condition) = mon_query("modem","diald");
  if ($condition != $Status{'green'}) {  # is diald the problem?
    # try to restart diald
    Cobalt::Repair::repair_generic("modem",$Diald_bin,$Diald_conf,
				   $Diald_script,0);
  }
  return;
}


1;
