# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Samba.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Smbconf = "/etc/smb.conf";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Samba.pm.  Changes made here will be lost.
package Cobalt::Samba;

sub get_smb_services 
# Returns a list of the services in smb.conf
# Arguments: none
# Side effects: none
{
  my (@services);
  
  open(SMB, "$Smbconf") or 
    return "4777 Cannot read smb.conf file /etc/smb.conf: $!";
  while (<SMB>) {
    # ignore comments
    if (! /^.*[;\#]/o) {
      # watch for service header
      if (/\[([^\]]+)\]/o) {
	push @services, $1;
      }
    }
  }
  close(SMB);
  
  return @services;
}


1;
