# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Samba.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Samba.pm.  Changes made here will be lost.
package Cobalt::Samba;

sub scan_for_workgroups
# scan_for_workgroups
# Scans the network for workgroups.
{
  my ($hname, $workgroup, $user, $ismb, $ispmb, $islmb, $isdmb, $islogon, %wglist, $ip, $wg);

  foreach $ip (Cobalt::Samba::get_master_browsers()) {
    # we have to try twice because of the Win95 node status bug
    # use win95 workaround first
    ($hname, $workgroup, $user, $ismb, $ispmb, $islmb, $isdmb, $islogon) = Cobalt::Samba::get_node_status($ip, 1);
    if ($hname eq '') {
      # use normal node status request
      ($hname, $workgroup, $user, $ismb, $ispmb, $islmb, $isdmb, $islogon) = Cobalt::Samba::get_node_status($ip, 0);
    }
    
    # get workgroups from master browser
    foreach $wg (Cobalt::Samba::get_workgroups($hname, $ip)) {
      $wglist{$wg} = 1;
    }
  }
  
  return keys (%wglist);
  
  # done!
  return 1;
}


1;
