# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Services.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Gated_link = "/etc/rc.d/rc3.d/S53gated";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Services.pm.  Changes made here will be lost.
package Cobalt::Services;

sub get_gated_on
# Is gated set to be on?
# Returns 1 if the daemon is activated, 0 if deactivated
#   This reflects what ought to be, *not* what is
# Arguments: none
# Side effects: none
{
    (-e $Gated_link) ? (return 1) : (return 0);
}


1;
