# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Services.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Exports_file = "/etc/exports";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Services.pm.  Changes made here will be lost.
package Cobalt::Services;

sub get_nfs_perms
# Find out who we are exporting to
# Arguments: none
# Return value: a list of (up to two) hosts or host-patterns to which
#   we are exporting NFS
# Side effects: none
{
    my @exportees;
    open(EXPORTS,$Exports_file) ||
	return "4463 Cannot read exports file /etc/exports: $!";
    while (<EXPORTS>)
    {
	# Only count the user lines.  Assume that the group line
	# to match will be there
	if (/users\t(.+)\(rw\)$/o)
	{
	    push (@exportees,$1);
	}
    }
    close EXPORTS;
    return @exportees;
}


1;
