# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Services.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Smblink = "/etc/rc.d/rc3.d/S91smb";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Services.pm.  Changes made here will be lost.
package Cobalt::Services;

sub get_smb_server_on
# Is the smb server set to be on?
# Returns 1 if the smb server is activated, 0 if deactivated
#   This reflects what ought to be, *not* what is
# Arguments: none
# Side effects: none
{
    (-e $Smblink) ? (return 1) : (return 0);
}


1;
