# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Services.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Inetd_conf = "/etc/inetd.conf";
my $SecretTelnetPort = "telnet";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Services.pm.  Changes made here will be lost.
package Cobalt::Services;

sub get_telnet_server_on
# Is the telnet server set to be on?
# Returns 1 if the telnet server is activated, 0 if deactivated
#   This reflects what ought to be, *not* what is
# Arguments: none
# Side effects: none
{
    open(INETD,$Inetd_conf) || return "4461 Cannot read /etc/inetd.conf: $!";
    while (<INETD>)
    {
	if (/^$SecretTelnetPort\s/o)
	{
	    close INETD;
	    return 1;
	}
    }
    close INETD;
    return 0;
}


1;
