# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Stats.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my @Cron_Intervals = ("quarter-hourly","half-hourly","hourly","quarter-daily","daily","weekly","monthly");
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Stats.pm.  Changes made here will be lost.
package Cobalt::Stats;

sub stats_get_www_report
# Gets periodic www report generation
# Arguments: site-associated group name
# Return value: interval
#   interval is one of (never,hourly,daily,weekly,monthly)
# Example: $ret = Cobalt::Stats::stats_get_www_report("cobaltnet-com");
{
    my($siteGroup) = $_[0];

    my($crondir);
    foreach $crondir (@Cron_Intervals)
    {
       return($crondir) if (-e "/etc/cron.$crondir/genWebUsage.$siteGroup"); 
    }
    return ('never');
}


1;
