# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Time.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $NtpcConf = "/etc/ntpc.conf";
my $NtpcCron = "/etc/cron.daily/ntpdate.auto";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Time.pm.  Changes made here will be lost.
package Cobalt::Time;

sub ntpc_get
# Checks whether a ntpdate fetch is scheduled, and what server it queries
# Arguments: none
# Return value: two values, the first is 1 or 0 for on or off,
#    the second is the target server or null
{
	my($server);

	if (-e "$NtpcConf")
	{
		open(NTPC,"$NtpcConf");
		chomp($server = <NTPC>);
		close(NTPC);
	} else
	{
		return(0,'');
	}
	if (-e "$NtpcCron")
	{
		return(1,$server);
	} else
	{
		return(0,$server);
	}
}


1;
