# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from User.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Lockdir = "/etc/locks";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/User.pm.  Changes made here will be lost.
package Cobalt::User;

sub user_abort
# leave in a (more or less) graceful manner
# Arguments: a string to print
# Side effects: unlocks anything we've locked
{
    if (-e "$Lockdir/user-$$")
    {
	my $return = Cobalt::User::unlock_passwd();
	return $return unless ($return =~ /^2/o);
    }
    return join('',@_);
}


1;
