# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from User.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/User.pm.  Changes made here will be lost.
package Cobalt::User;

sub user_show
# user_show: Get information about a user
# Arguments: login name
# Return value: an array containing 
#   ("login", "full name", quota, usage, shell)
# Side effects: none
# Example: ($login,$name,$quota,$use,$shell) = Cobalt::User::user_show("mick");
{
    my ($login) = @_;
    return ("4504 No such user") unless (Cobalt::User::user_exist($login));
    my ($fullname,$shell) = (getpwnam($login))[6,8];
    my ($usage,$quota) = (Cobalt::Quota::repquota($login))[0,1];
    return ($login,$fullname,$quota,$usage,$shell);
}


1;
