# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Vacation.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Vaca_prog = "/usr/local/sbin/vacation.pl";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Vacation.pm.  Changes made here will be lost.
package Cobalt::Vacation;

sub vacation_get_on
# Check if vacation forwarding is active
# Arguments: user name
# Return value: 1 for on, 0 if off
# Side effects: none
{
    my($user) = @_;
    my @alias = Cobalt::List::alias_get($user);
    return 0 if ($alias[0] =~ /^[134]\S*\s/); # error
    (grep(/$Vaca_prog/o,@alias)) ? (return 1) : (return 0);
}


1;
