# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Vhost.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Dns_notification = "/etc/dns.notification";
my $Sendmail = "/usr/sbin/sendmail";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Vhost.pm.  Changes made here will be lost.
package Cobalt::Vhost;

sub inform_BigBrother
{
# If $Dns_notification is readable and defined with an email address,
# send snitch-mail of any activity that requires an informed 3rd party
#
# Feature added by SimpleNet request 08/98 /wdh
#
# Arguments: subject string, text body string
        my($subject,$body) = @_;
        my($notifaddr);

        if (-r $Dns_notification)
        {
                open(NOTIF,$Dns_notification);
                chomp($notifaddr = <NOTIF>);
                close(NOTIF);

                # recipient sanity check
                return 0 if ($notifaddr !~ /^\w+\@\w+/);

                open(MALR,"| $Sendmail -oi -t") || return 0;
                print MALR <<EOF;
To: $notifaddr
From: admin
Subject: $subject

$body

EOF
                close(MALR);
        }

        # Intended to run without $Dns_notification set as well
        return 1;
}


1;
