# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Vhost.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $If_cfg_dir = "/etc/sysconfig/network-scripts";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Vhost.pm.  Changes made here will be lost.
package Cobalt::Vhost;

sub vhost_list
# Get a list of virtual interfaces (spans all physical interfaces)
# This only lists IP-based virtual sites
# Arguments: none
# Return value: a list of interfaces ("eth0:0","eth0:1","eth1:0",...)
{
    opendir(IFDIR,$If_cfg_dir) || 
	return "4148 Cannot read network script directory $If_cfg_dir: $!";
    my @ifcfgs = map { substr($_,6) }  # skip the ``ifcfg-'' part of the name
	sort(grep(/^ifcfg-eth\d+:\d+$/o,readdir(IFDIR)));
    closedir IFDIR;
    return @ifcfgs;
}


1;
