# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Vhost.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Userdir = "/home/sites";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Vhost.pm.  Changes made here will be lost.
package Cobalt::Vhost;

sub vsite_getgroup
# Given a user name, figure out what site they are associated with
# Arguments: user name
# Return value: site name
# Side effects: none
{
  my ($user) = @_;
  my ($site);
  my ($login,$home) = (getpwnam($user))[0,7];
  if ($home =~ /^$Userdir\/([\w\-\.]+)/o) {
    $site = $1;
  }
  my @vsite_users = Cobalt::List::list_get_mem("${site}-users");
  if (grep($site,@vsite_users)) {
    return $site;
  } else {
    return "";
  }
}


1;
