# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Vsite.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Sites_AdminGroup = "site-adm";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Vsite.pm.  Changes made here will be lost.
package Cobalt::Vsite;

sub vsite_admin_del
# Remove a site administrator from a virtual site
# Arguments: site group, list of users to remove
#   from the admin list
# Side effects: removes the user(s) from the group for that site
#   and the global site admins group
# Return value: the usual status string of the form "2600 Game over, insert
#   coin"
# Example: Cobalt::Vsite::vsite_admin_del("eth10:1",@doomedusers);
{
    my ($group,@admins) = @_;
    my $ret = Cobalt::Group::group_del_user($Sites_AdminGroup,@admins);
    return $ret if ($ret !~ /^2/o);  # abort if we can't fix the group

    # Delete assorted $FtpAdminHelp files
    Cobalt::Vsite::vsite_get_siteadmin_ftphelp(@admins);

    return Cobalt::Group::group_del_user($group,@admins);
}


1;
