# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Vsite.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Htconf = "/etc/httpd/conf";
my $Lockdir = "/etc/locks";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Vsite.pm.  Changes made here will be lost.
package Cobalt::Vsite;

sub vsite_lock
# lock the httpd.conf file
# Arguments: none
# Return value: a nicely stated message string
# Side effects: trix for kids!
{
    # verify and grab our lock
    return("4836 Cannot open /etc/locks/smbptmp to delete user: $!")
	if (-e "$Lockdir/httpd.conf");

    # Lock the file by creating a temporary file in lockdir
    open(LOCK,"> $Lockdir/httpd.conf") || 
	return("4593 Cannot update the web server configuration file");
    close LOCK;

    return "2421 /etc/httpd/conf/httpd.conf is now locked";
}


1;
