# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Admserv.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Allow_cgis_file = "/etc/httpd/conf/ALLOW_USER_CGIS";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Admserv.pm.  Changes made here will be lost.
package Cobalt::Admserv;

sub admserv_get_user_cgis
# Report on wether user CGIs are allowed
# Arguments: none
# Return value: 1 if yes, 0 if no
# Side effects: none
# Example: $cgis_are_on = Cobalt::Admserv::admserv_get_user_cgis();
{
    (-e $Allow_cgis_file) ? (return 1) : (return 0);
}


1;
