# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Admserv.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Htpid = "/var/run/httpd.pid";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Admserv.pm.  Changes made here will be lost.
package Cobalt::Admserv;

sub restart_httpd
# Restart the web server
# Arguments: none
# Side effects: sends a HUP to the server
{
    my ($pid,$l);
    open(PID,$Htpid) 
	|| return "4007 Cannot read web server PID file /var/run/httpd.pid: $!";
    $l = <PID>;
    if ($l =~ /^(\d+)$/o)
    {
	$pid = $1;
    }
    close PID;
    kill('HUP',$pid) if ($pid);

    return "2007 Web servers restarted ($pid)";
}


1;
