# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from AlertDB.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Status_db = "/var/cobalt/status";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/AlertDB.pm.  Changes made here will be lost.
package Cobalt::AlertDB;

sub db_reset
# Prepare to rewrite the database
# Resets the pointers for a server
# Arguments: server name
# Side effects: moves the read and write indices back to 0
#   (in preparation for rewriting it)
{
    my ($server) = @_;
    my (%STATUS);
    unless(tie(%STATUS, 'DB_File', $Status_db, O_CREAT()|O_RDWR(),0644))
    {
	return "4053 Cannot access database $Status_db: $!";
    }
    $STATUS{"$server.wptr"} = 0;    # Write pointer
    $STATUS{"$server.rptr"} = 1;    # Read pointer
    $STATUS{"$server.sorted"} = 0;  # Sorted flag
    untie %STATUS;    
}

use Cobalt::Language;

1;
