# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Atalk.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Netatalk_passwd = "/etc/atalk/passwd";
my $Netatalk_ptmp = "/etc/locks/netatalk_ptmp";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Atalk.pm.  Changes made here will be lost.
package Cobalt::Atalk;

# atalk_passwd_commit
#
# commits changes to the netatalk passwd file
#
# no args, no return unless error
#
sub atalk_commit_passwd {
  print STDERR "atalk: called Cobalt::Atalk::atalk_commit_passwd()\n" if ($Debug);
  print STDERR "atalk: renaming $Netatalk_ptmp to $Netatalk_passwd\n" if ($Debug);
  rename($Netatalk_ptmp, $Netatalk_passwd)
    or return "4010 Cannot rename /etc/locks/netatalk_ptmp to /etc/atalk/passwd";
  return "2010 Atalk passwd file committed";
}


1;
