# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Atalk.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Netatalk_ptmp = "/etc/locks/netatalk_ptmp";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Atalk.pm.  Changes made here will be lost.
package Cobalt::Atalk;

use strict;

# atalk_lock_passwd
#
# locks the netatalk passwd file by creating $Netatalk_ptmp
#
# no args, no return unless error
#
# this *must* be called before atalk_set_passwd or atalk_del_user
#
sub atalk_lock_passwd {
  print STDERR "atalk: called Cobalt::Atalk::atalk_lock_passwd()\n" if ($Debug);

  open(PTMP, ">$Netatalk_ptmp")
    or return "4008 Cannot open /etc/locks/netatalk_ptmp: $!";
  close(PTMP);
  return "2008 Atalk passwd file locked";
}


1;
