# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Dhcpd.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Dhcpd.pm.  Changes made here will be lost.
package Cobalt::Dhcpd;

sub dhcpd_del_macs
# Wrapper to dchpd_set_macs to delete mac address and ip pairs for
# static dhcpd naming
# Arguments: hash of the form mac->name
# Return value: return code and descriptive string of the normal sort
{
	my @delmax = @_;
	my(%max) = Cobalt::Dhcpd::dhcpd_get_macs();

	my($mac);
	foreach $mac (@delmax)
	{
		delete $max{$mac};
	}

	return Cobalt::Dhcpd::dhcpd_set_macs(%max);
}


1;
