# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Dhcpd.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Dhcpd_pidfile = "/var/run/dhcpd.pid";
my $Dhcpdscript = "/etc/rc.d/init.d/dhcpd";
my $Sauce_log = "/var/cobalt/sauce.log";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Dhcpd.pm.  Changes made here will be lost.
package Cobalt::Dhcpd;

# = = Local subroutines = = = = = = = = = = = = = = = = = = = = = = = =

sub dhcpd_hup
# Restart the DHCP daemon
# Arguments: none
# Return value: none
# Side effect: calls the DHCP init script to stop and start the daemon,
#   if the daemon is currently running.
{
  return if (! -e $Dhcpd_pidfile); # Let sleeping dogs lie
  # Oooh, bad...we're not checking our return code.  Thing is,
  # none of the functions that call us look at our return value,
  # so not much we can do without lots of code changes.
  system("$Dhcpdscript restart >>$Sauce_log 2>&1");
}


1;
