# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Email.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Lockdir = "/etc/locks";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Email.pm.  Changes made here will be lost.
package Cobalt::Email;

# = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =


sub lock_sendmail
# Arguments: 1 to lock, 0 to unlock
# Return Value: 1 for success, 0 for failure
{
        my($state) = $_[0];
        if ($state)
        {
        return 0 if (-e "$Lockdir/sendmail.cw.lock"); # Already in use
        open(LOCK,"> $Lockdir/sendmail.cw.lock") || return 0;
	print LOCK "$$\n$0"; 
	close(LOCK);
        return 1 if (-e "$Lockdir/sendmail.cw.lock");
        } else {
        unlink("$Lockdir/sendmail.cw.lock") if (-e "$Lockdir/sendmail.cw.lock");
        return 0 if (-e "$Lockdir/sendmail.cw.lock");
        return 1;
        }
}


1;
