# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Email.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $MailAccessDB = "/etc/mail/access";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Email.pm.  Changes made here will be lost.
package Cobalt::Email;

sub mail_get_deny
# Get the list of site from which we refuse mail
# Arguments: none
# Return value: a list of sites we block
# Example: @spammers = Cobalt::Email::mail_get_deny();
{
        my (@denys);
	
        if (-r $MailAccessDB)
        {
                open (ACCESSDB,"$MailAccessDB")
                  || return "4183 Cannot read relay access database: $!";
                while (<ACCESSDB>)
                {
		  if ( /(\S+)\s+550 Mail rejected/o )
		  {
		    push(@denys,$1);
		  }
		  elsif ( /^\# Put custom additions below/o )
		  {
		    # leave the loop
		    last;
		  }
                }
                close (ACCESSDB);
        }
        return(@denys);
}


1;
