# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Email.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Sendmail_conf = "/etc/sendmail.cf";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Email.pm.  Changes made here will be lost.
package Cobalt::Email;

sub mail_get_max_document
# Gets the maximum document size in bytes that sendmail will accept
# Arguments: none
# Return value: natural byte value, 0 for unlimited
{
	return "4091 sendmail is not configured" unless (-e "$Sendmail_conf");
	open(SNDCF,"$Sendmail_conf")
	  || return "4092 Cannot read mail server config file: $!";
	while(<SNDCF>) 
	{
		if(/^O MaxMessageSize=(\d+)/)
		{
			return $1;
		} elsif (/^#O MaxMessageSize/) {
			return 0;
		}
	}
	return 0;
	close SNDCF;
}


1;
