# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Email.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Sendmail_cw = "/etc/sendmail.cw";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Email.pm.  Changes made here will be lost.
package Cobalt::Email;

sub mail_list_cw
# Reports a sorted list of hostnames that sendmail is willing to accept mail to
# Arguments: none
# Return value: sorted array of domain/host names
# Example: my(@sendmail_server_aliases) = sendmail_cw_list;
{
    my @aliases;

    if( -r $Sendmail_cw ) {
	open( SND, "$Sendmail_cw" ) || 
	  return "4123 Cannot open my sendmail.cw file: $!";
	while( <SND> ) {
	    if( /include all aliases for your machine here/o ) { last; }
	    if( /^\s*\#/o ) { next; }
	    if( /^$/o ) { next; }

	    chomp;  # chomp is safer than chop
	    push( @aliases, $_ );
	}
	close SND;
    }

    return sort( @aliases );
}


1;
