# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Email.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Email.pm.  Changes made here will be lost.
package Cobalt::Email;

sub mail_virtuser_add_alias
# Adds a hash of login name and fully qualified email addresses or @domains
# Arguments: hash  (alias => user)
# Return value: string like "2000 It's happy hour"
# Side effects: Rebuilds /etc/virtusertable.db from modified /etc/virtusertable
{
	my(%add_alias) = @_;
	
	my(%aliases) = Cobalt::Email::mail_virtuser_list_alias();
	my(%routes) = Cobalt::Email::mail_virtuser_list_route();

	my($alias);
	foreach $alias (keys %add_alias)
	{
	    if( $aliases{ $alias } ) {
		return "4093 Email alias $alias is already in use, email aliases are not modified";
	    }
	    $aliases{"$alias"} = $add_alias{"$alias"}; # No duplicate aliases allowed
	}
	
	Cobalt::Email::mail_build_virtusertable(\%aliases, \%routes)
	    || return "4094 Could not modify email alias list";

	return "2027 Email virtual users added successfully";
}


1;
