# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Email.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Email.pm.  Changes made here will be lost.
package Cobalt::Email;

sub mail_virtuser_change_domain
# Changes email alias domains for when any site host or domain name changes
# Arguments: old qualified hostname, new qualified host name
#              or, hash of (old qualified hostname -> new qualified host name)
# Return value: string of the regular sort
# Rebuilds /etc/virtusertable
{
        my(%aliasdelta) = @_;
        my($alias,$route,@splut,$foundModification);

        my(%Alii) = Cobalt::Email::mail_virtuser_list_alias();
	my(%routes) = Cobalt::Email::mail_virtuser_list_route();

        foreach $alias (keys %Alii)
        {
                next unless ($alias =~ /\@/o); # Not willing to mess with custom entries

                @splut = split('@',$alias); # (alias name,alias domain)
                if ($aliasdelta{ $splut[1] })
                {
                        $splut[1] = $aliasdelta{ $splut[1] };
                        $Alii{ join('@',@splut) } = $Alii{ $alias };
                        delete $Alii{$alias}; # Delete old record
                        $foundModification = 1;
                }
        }

        if ($foundModification) # Rebuild aliases
        {
                Cobalt::Email::mail_build_virtusertable(\%Alii, \%routes) || return "4105 Could not modify email alias list";
        }


        return "2035 Email virtual users modified successfully";
}


1;
