# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Fetchmail.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Fetchmail.pm.  Changes made here will be lost.
package Cobalt::Fetchmail;

sub _write_user_rc
# writes the fetchmailrc file to a specified location
# Arguments:
#    $filename:  filename
#    $server:    remote e-mail server hostname
#    $username:  username on remote e-mail server
#    $localname: username on the qube
#    $passwd:    password to log into the remote server
{
  my ($filename, $server, $username, $localname, $passwd) = @_;

  # set umask so file is created with only user read/write
  umask(0177);

  # get uid, gid
  my ($login,$pass,$uid,$gid) = getpwnam($localname)
    or return "fetchmail_invalid_nosuchuser User does not exist on this system";

  # there might be a double-quote in the password
  $passwd =~ s/\"/\\\"/g;

  open(FMRC, ">$filename")
    or return "4190 Cannot write fetchmailrc: $!";
  print FMRC "# last modifed " . localtime() . "\n";
  print FMRC "poll \"$server\"\n";
  print FMRC "user \"$username\"\n";
  print FMRC "is \"$localname\"\n";
  print FMRC "password \"$passwd\"\n";
  close(FMRC);
}


1;
