# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Fetchmail.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Fetchmail = "/usr/bin/fetchmail";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Fetchmail.pm.  Changes made here will be lost.
package Cobalt::Fetchmail;

sub fm_check_domain_rc
# attempts to use the specified domain rc config
# returns a string on error, nothing on success
# args: none
{
  my ($server, $username, $passwd, $etrn) = @_;
  my ($line);

  my $checkFile="/tmp/fm_check_domain_rc.$$";
  Cobalt::Fetchmail::_write_domain_rc($checkFile, $server, $username, $passwd, $etrn);

  my $ret=system( "$Fetchmail -s -c -f $checkFile 2>&1" );
  # to get the real return code
  $ret=int( $ret/256 );

  unlink($checkFile);

  if( $ret==0 || $ret==1 ) { return; }
  if( $ret==2 ) { return Cobalt::Language::msg_get('fetchmail_cant_pop'); }
  elsif( $ret==3 || $ret==9 ) { return Cobalt::Language::msg_get('fetchmail_cant_auth'); }
  elsif( $ret==4 || $ret==7 ) { return Cobalt::Language::msg_get('fetchmail_cant_connect'); }
  elsif( $ret==10 ) { return Cobalt::Language::msg_get('fetchmail_cant_smtp'); }
  elsif( $ret==11 ) { return Cobalt::Language::msg_get('fetchmail_cant_dns'); }
  else { return Cobalt::Language::msg_get('fetchmail_err_generic'); }
}


1;
