# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Fetchmail.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Fetchmail = "/usr/bin/fetchmail";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Fetchmail.pm.  Changes made here will be lost.
package Cobalt::Fetchmail;

sub fm_check_user_rc
# attempts to use the specified user rc config
# returns a string on error, nothing on success
# args: none
{
  my ($server, $username, $localname, $passwd, $etrn) = @_;
  my ($line);

  Cobalt::Fetchmail::_write_user_rc("/tmp/fm_check_user_rc.$$", $server, $username, $localname, $passwd, $etrn);

  open(FM, "$Fetchmail -s -c -f /tmp/fm_check_domain_rc.$$ 2>&1|");
  my @msgs = (<FM>);
  close(FM);

  unlink("/tmp/fm_check_user_rc.$$");

  # remove 'fetchmail:' from each line of error message
  foreach $line (@msgs) {
    $line =~ s/^fetchmail: //o;
  }
  return join('<br>', @msgs);
}


1;
