# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Fetchmail.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Fetchmailrc_dir = "/var/fetchmail";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Fetchmail.pm.  Changes made here will be lost.
package Cobalt::Fetchmail;

sub fm_get_domain_rc 
# returns the contents of the domain's multidrop fetchmailrc file
# arguments:
#    none
{
  my ($server, $username, $passwd, $poll, $etrn);

  $etrn = 0;

  if (-e "$Fetchmailrc_dir/multidrop:localdomain") {
    open(FMRC, "$Fetchmailrc_dir/multidrop:localdomain")
      || return "4193 Cannot read fetchmailrc: $!";
    foreach (<FMRC>) {
      if (/^poll \"([^\"]+)\"/o) {
	$server = $1;
      }
      if (/^username \"([^\"]+)\"/o) {
	$username = $1;
      }
      if (/^password \"([^\"]+)\"/o) {
	$passwd = $1;
      }
      if (/^proto ETRN/) {
	$etrn = 1;
      }
    }
    close(FMRC);
  } else {
    $server = '';
    $username = '';
    $passwd = '';
  }

  return ($server, $username, $passwd, $etrn);
}


1;
