# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Fetchmail.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Cron_basedir = "/etc/cron.";
my @Cron_Intervals = ("quarter-hourly","half-hourly","hourly","quarter-daily","daily","weekly","monthly");
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Fetchmail.pm.  Changes made here will be lost.
package Cobalt::Fetchmail;

sub fm_get_interval
# retrieves the fetchmail frequency by checking for a symbolic link in each
# of the /etc/cron.* directories.
# args: none
# returns the string name of the cron interval, or 'never' if not yet set
{
  my $found = 'never';
  my $crondir;

  foreach $crondir (@Cron_Intervals) {
    if (-e "$Cron_basedir$crondir/fetch_remote_mail") {
      return $crondir;
    }
  }

  return $found;
}


1;
