# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Fetchmail.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Fetchmailrc_dir = "/var/fetchmail";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Fetchmail.pm.  Changes made here will be lost.
package Cobalt::Fetchmail;

sub fm_set_domain_rc
# sets a multidrop mail file
# just a wrapper around Cobalt::Fetchmail::_write_domain_rc(see docs 
# for _write_domain_rc below)
{
  my ($server, $username, $localdomain, $passwd, $etrn) = @_;

  # create the /var/fetchmail dir if it doesn't exist
  if (! -e "$Fetchmailrc_dir") {
    mkdir("$Fetchmailrc_dir", 0755);
  }

  if ($passwd eq '') {
    # no password is passed. reuse the current password
    $passwd = (Cobalt::Fetchmail::fm_get_domain_rc())[2];
  }
  
  return Cobalt::Fetchmail::_write_domain_rc("$Fetchmailrc_dir/multidrop:localdomain", $server, $username, $passwd, $etrn);
}


1;
