# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Fileman.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Fileman.pm.  Changes made here will be lost.
package Cobalt::Fileman;

sub file_delete
# Deletes a file or directory, after checking that the user has
# the right to delete it
# Arguments: name of file or directory to delete
# Side Effects: removes the file or directory tree
# Example: Cobalt::Fileman::file_delete("/home/httpd/html/groups/queens/somefile","liz");
{
    my ($tgt,$username) = @_;

    return "4312 $username is not allowed to delete $tgt" 
	unless (Cobalt::Fileman::file_rights($username,$tgt) == 1);

    if (-d $tgt)
    {
      Cobalt::Utility::sauce_deltree($tgt);
    }
    else
    {
	unlink($tgt);
    }
    return "2047 File deleted successfully";
}


1;
