# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Fileman.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Fileman.pm.  Changes made here will be lost.
package Cobalt::Fileman;

sub file_list
# Get a list of files in a directory
# Checks to make sure the user has the right to look at those files
# Arguments: the directory name, the name of the user looking around
# Return value: a list of files
# Side effects: none
# Example: @files = Cobalt::Fileman::file_list("/home/httpd/html/users","kelly");
{
    my ($dir,$username) = @_;

    # Check that I'm cool to see these files
    return "4313 $username is not allowed to read $dir" 
	unless (Cobalt::Fileman::file_rights($username,$dir));

    my (@files);
    opendir(DIR,$dir) 
	|| return Cobalt::List::abort("4314 Cannot read directory $dir: $!");
    @files = grep(!/^\./o,readdir(DIR));  # don't show dotfiles
    closedir DIR;
    return @files;
}


1;
