# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Fpx.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Fpx.pm.  Changes made here will be lost.
package Cobalt::Fpx;

sub fpx_recurse_chmod
# Resets web directory permissions post-FPX install
# Arguments: directory mode, root directory
{
  my( $file_mode, $root_dir)=@_;
  $file_mode ||= "02775"; # Defaults are good
  return unless ( -d $root_dir);

  chmod( $file_mode, $root_dir);

  opendir( SBDR, $root_dir) || return;
  map fpx_recurse_chmod($file_mode, "$root_dir/$_"),
    grep +(-d "$root_dir/$_" and !/^\.{1,2}$/), readdir(SBDR);
  close (SBDR);
}


1;
