# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Fpx.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Fpx.pm.  Changes made here will be lost.
package Cobalt::Fpx;

sub fpx_restore_htaccess
# Restores ftp_rename_htaccess action
# Arguments: FP Web directory, array of qualified files to move
# Return value: true or false
# Side affect: Removes .htaccess file from web root if FP added one
#   This seems to be a common bug, where a corrupt .htaccess appears
#   out of nowhere.
{
  my($webroot,@htax)=@_;

  my($hta);
  foreach $hta (@htax) 
  {
    move("$hta.FP98","$hta");
  }
  unlink("$webroot/.htaccess") if (-e "$webroot/.htaccess"); # risky business
  return 1;
}


1;
