# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Fpx.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Fpx.pm.  Changes made here will be lost.
package Cobalt::Fpx;

sub fpx_rewrite_htaccess
# Rewrites fpx-generated .htaccess files so they'll do a Cobalt config
# Arguments: directory root, literal group/user, group or username string
# Return value: array of edited files
{
  my($basedir,$flavour,$user)=@_;

  my(@htax,@edited,$hta,$newfile);
  open(HTAS,"/usr/bin/find $basedir -name .htaccess -print |")
    || return();
  while(<HTAS>) { chop; push(@htax,$_); }
  foreach $hta (@htax) 
  {
    open(HTA,$hta) || next;
    while(<HTA>)
    {
      s/^AuthUserFile.*$//g;
      s/^AuthGroupFile.*$//g;
      s/^require.*$/require $flavour $user\n/g;
      $newfile.=$_;
    }
    close(HTA);

    # Clobber old file
    open(HTN,">$hta") || next;
    print HTN $newfile;
    close(HTN); 
 
    push(@edited,$hta);
    $newfile=''; # ..primitive
  }
  close HTAS;
  return(@edited);
}


1;
