# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Group.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Group.pm.  Changes made here will be lost.
package Cobalt::Group;

sub group_add_user
# group_add_user: Adds a user to the group
# Arguments: the name of the group and a list of new users to add
# Side effects: modifies the entry in the group file by calling
#   &group_set_membership
# Return value: usual status string of format "567 take back your mink"
{
    my $return;
    return $return unless (($return = Cobalt::Group::lock_group()) =~ /^2/o);
    my($group,@newguys) = @_;
    my @members = Cobalt::Group::group_show($group);
    push(@members,@newguys);
    print STDERR "Putting @newguys in $group\n" if ($Debug);
    return $return unless (($return = Cobalt::Group::group_set_membership($group,@members))
			   =~ /^2/o);
    return $return unless (($return = Cobalt::Group::commit_group()) =~ /^2/o);
    return "2234 Users added to group $group successfully";
}


1;
