# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Group.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Group.pm.  Changes made here will be lost.
package Cobalt::Group;

sub group_del_user
# group_del_user: delete a member from a group
# Arguments: the group name and a list of users to delete
# Side effects: calls &group_set_membership
# Return value: a status string of the form "725 plane out of fuel, can't land"
{
    my $return;
    return $return unless (($return = Cobalt::Group::lock_group()) =~ /^2/o);
    my ($group,@victims) = @_;
    print STDERR "Removing @victims from group $group\n" if ($Debug);
    my $victim;
    my @members = Cobalt::Group::group_show($group);
    foreach $victim (@victims)
    {
	@members = grep(!/^$victim$/,@members);
    }
    return $return unless (($return = Cobalt::Group::group_set_membership($group,@members))
			   =~ /^2/o);
    return $return unless (($return = Cobalt::Group::commit_group()) =~ /^2/o);
    return "2236 Users removed successfully";
}


1;
