# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Group.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $MaxQuota = "26624000";
my $Quota_harder = "1";
my $Userpart = "/dev/hda4";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Group.pm.  Changes made here will be lost.
package Cobalt::Group;

sub group_set_quota
# Set the quota for a group
# Arguments: group name, quota
# Side effects: sets the quota for the group
# Return value: string of the form "816 This onion already has a definition"
{
    my ($group,$quota) = @_;
    # Error message in MB, not KB
    my $warn_quota = ($MaxQuota / 1024);
    return "4281 Quotas may not be set above $warn_quota"
	if ($quota > $MaxQuota);
    return Cobalt::Quota::setqlim($Userpart,(getgrnam($group))[2],$quota,
		   ($quota + $Quota_harder),1);
}


1;
