# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Group.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Adminuser = "admin";
my $WWWuser = "httpd";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Group.pm.  Changes made here will be lost.
package Cobalt::Group;

sub group_show
# group_show: list who is in this group
# Arguments: group name
# Side effects: none
# Return value: a sorted array of group members
# Doesn't include the admin or the web server user
{
    my ($group) = @_;
    my @users = sort(split(/\s+/o,(getgrnam($group))[3]));

    @users = (grep(!/^($Adminuser|$WWWuser)$/o,sort(@users)));
    return @users;
}


1;
