# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Language_japanese.pm

# Copyright 1998 Cobalt Microserver (http://www.cobaltmicro.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = $Debug;
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Language_japanese.pm.  Changes made here will be lost.
package Cobalt::Language_japanese;

sub msg_get_ui_message
# Return the UI message associated with an given key
# Arguments: message key
# Return value: message string
# This function is not used at runtime; it is used at RPM creation
#    time by the releasify.pl script to replace the messages in
#    the UI.
{
    my ($key) = @_;
    my %messages = (
		    'addGroup' => 'O[vǉ',
		    'addUser' => '[Uǉ',
		    'adminPasswordIncorrect' => ' admin pX[h͂ĂB',
		    'backToUserList' => '[U Xgɖ߂',
		    'backupNotValid' => 'vobNAbv Zbg͗Lł͂܂B',
		    'backupTitle' => 'Qube t@C obNAbv',
                    'backupUserHelp' => 'obNAbv͂̃p\RƂ̃T[o̊ԂŒڍsȂ܂BobNAbvɂA}CNT[ôׂẴt@CƃTufBNgp\RɃA[JCu܂B',
                    'backupUserRestoreHelp' => 'A[JCú̕AMicrosoft Internet Explorer o[W 3 ł͍sƂł܂B<i>.qub</i> A[JCũAbv[hɖ肪ꍇ́AVuEUgpĂBf[^j󂷂\̂ŁAA[JCu̕𒆒fȂ悤ɒӂĂB',
                    'backupFullTitle' => 'Cobalt Qube t@C obNAbv',
                    'backupUserInstructions' => 'obNAbv̕@IƁAEFu uEUׂẴobNAbv f[^̓t@Cۑ悤ɃbZ[W\܂Bt@C]n܂AobNAbv𒆒fALZ肵ȂłBfLZA炩̗RŃt@C]sꍇ́Ap\RɕۑꂽIȃobNAbv폜Ăx蒼Kv܂BIȃt@Cp Cobalt Qube Ƀf[^𕜌悤ƂƁAɃ}CNT[oɕۑĂf[^j󂷂\܂B',
                    'restoreUserHelp' => '.qub t@C𕜌ɂ Cobalt Qube ̕@\𗘗pĂBɗv鎞Ԃ́Aꍇɂđ傫قȂ܂BobNAbv f[^̕𒆒fȂ悤ɒӂĂB̒fɂf[^j邱Ƃ܂B',
                    'restoreUserWarning' => 'dv:</B></FONT COLOR><BR> Cobalt Qube ́̕Ãt@C㏑Ă܂܂BŌ̃obNAbvȍ~Ƀt@CɉꂽύX͎Ă܂܂Bӂď𑱂ĂB',
                    'restoreCompleteLabel' => '<I>u.qub</I>vobNAbvŜ𕜌܂:',
                    'restoreRemoveOverwriteWarn' => 'ɂAŋߍ쐬ꂽt@CŋߍXVꂽt@C̕ύXe͎\܂Bėǂł?',
                    'restoreUploadingRestoring' => 'Abv[hƕs...',
                    'restoreRestoreButtonText' => '.qub obNAbv𕜌',
                    'restoreRestoreCompleteText' => '<I>u.qub</I>vobNAbvŜ𕜌܂:',
                    'restoreUserInstructions' => 'ȑÓu.qubvobNAbv𕜌ɂ́A[Q] {^NbNĎ̃Rs[^̃t@C VXeɕۑĂt@CIĂB',
                    'restoreUserInstructionsIE' => 'Internet Explorer 3 p̏ꍇ͂̉ʂ [Q...] {^\ꂸAt@CAbv[hł܂BMicrosoft VuEU肵ĂB',
		    'cancel' => 'LZ',
		    'date' => 't',
		    'dayOfWeek' => 'j',
		    'defaultVacationReply' => "dq[肪Ƃ܂B\nł邾ԐM܂B",
		    'diskQuotaNotPositive' => 'fBXN̊蓖ėeʂ͐łȂ΂Ȃ܂B',
		    'diskQuotaTooBig' => 'fBXN蓖ėeʂ $maxQuotaInMB łȂ΂Ȃ܂B',
		    'dnsAddFail' => 'hC l[ T[rX̒ǉɎs܂BhC l[ <b>$domain</b> ܂B',
		    'dnsBadPair' => 'IP ƃzXg܂:\&nbsp; <b>$hostip \&nbsp; $hostname</b>',
		    'dnsBadPriIP' => 'hC <b>$domain</b> ɑ΂vC} T[o IP AhX <b>$newip</b> ܂B',
		    'dnsChangeConfirm' => '$dnsAddr  DNS T[oƂċ@\ĂȂ\܂Bgpėǂł?',
		    'dnsConfiguration' => 'ݒ',
		    'dnsDefaultDomainRm' => 'zXg <b>$hostname</b> ftHg hC폜܂',
		    'dnsDomain' => 'hC',
		    'dnsEditIP' => 'zXg IPҏW',
		    'dnsEditName' => 'zXgҏW',
		    'dnsHostRm' => 'Gg폜܂?',
		    'dnsNotValid' => '$dnsAddr ͗L DNS AhXł͂܂BႦ΁A241.12.34.4 ͗LȃAhX̗łB',
		    'dnsPriTitle' => 'vC} DNS ̏',
		    'dnsSecTitle' => 'ZJ_ DNS ̏',
		    'dnsStopVerify', => 'hC $domain ɑ΂ DNS T[rX~܂?',
		    'domainNameNotValid' => '$domainName ͗LȃhC l[ł܂BႦ΁Acobaltmicro.com ͗LȃhC l[̗łB',
		    'groupAddOK' => 'O[v𐳂ǉ܂B',
		    'groupNameNotValid' => 'O[vɂ͉pAAu.vAu-vсu_vgp邱Ƃł܂B',
		    'help' => 'wv',
		    'hostNameNotValid' => '$hostName ͗LȃzXgł͂܂B',
		    'hour' => 'Hour',
		    'installResetConfirm' => '\tgEFÃCXg[܂B̃\tgEFALɂɂ̓VXeċNKv܂B܍ċN܂?',
		    'installReplaceConfirm' => '$_[ 0 ] o[W $_[ 1 ] ɑ݂܂Bo[W $_[ 2 ] Œu܂?',
		    'localhostNotAllowed' => 'localhost ͗\񂳂ꂽOłB',
		    'modifyGroup' => '$group C',
		    'modifyUserX' => '$userName C',
		    'noCollisionInfoAll' => 'lbg[NՓ˂̗ݐϏ͂܂܂B|[g 15 ɍ쐬܂B',
		    'noCollisionInfo15' => '15 Ԃ̃lbg[NՓˏ͂܂܂B|[g 15 ɍ쐬܂B',
		    'noFaxOrEmail' => 't@bNXԍdq[ AhX̂ǂ炩͏ȂƂ͂ĂB',
		    'noFirstName' => 'O͏ȗł܂B',
		    'noForwardAddr' => ']̓dq[ AhX͂ĂB',
		    'noFullName' => 'Ktl[KvłB',
		    'noGroupMembers' => 'O[v o[܂B',
		    'noGroupName' => 'O[v͂ĂB',
		    'noGroups' => 'O[vݒ肳Ă܂B',
		    'noHostName' => 'Cobalt Qube ͏ȗł܂B',
		    'noIMAPInfo' => 'IMAP T[oɊւ͂܂B[ T[rX삵ĂȂA܂Ă܂B',
		    'noLastName' => '͏ȗł܂B',
		    'noPackage' => 'CXg[pbP[Ww肵ĂB',
		    'noPassword' => 'pX[h͏ȗł܂B',
		    'noPOPInfo' => 'POP3 T[oɊւ͂܂B[ T[rX삵ĂȂA܂Ă܂B',
		    'noQuotesInFullName' => 'ɂ͈pȂłB',
		    'noWebRequestInfo' => '̃EFu Recɑ΂v͂܂܂B',
		    'noSMTPInfo' => 'SMTP T[oɊւ͂܂B[ T[rX삵ĂȂA܂Ă܂B',
		    'noUserInfo' => 'A[UуpX[h͏ȗł܂B',
		    'noUsers' => 'o^[U܂B',
		    'packageExtensionNotValid' => 'CXg[ pbP[W܂B.pkg Ƃt@CgqKvłB',
		    'removeGroup' => '$group 폜',
		    'removeUser' => '$userName 폜',
		    'requests' => 'NGXg',
		    'restoreTitle' => 'Cobalt Qube t@C̕',
		    'restoreInvalidUser' => 'ȃ[U: $username',
		    'restoreWarnA' => '',
		    'restoreWarnB' => 'ׂẴt@C',
		    'restoreWarnC' => '𐳂邱Ƃ͂ł܂łB',
		    'restoreRept' => 'ȉ̃t@C͕܂B',
		    'restoreFail' => 'ȉ̃t@C͕ł܂łB',
		    'restoreOK' => 'obNAbv A[JCu܂B',
		    'saveChanges' => 'ύXۑ',
		    'saving' => '\ۑĂ܂...',
		    'setGroupDefaults' => 'O[ṽftHgݒ',
		    'setUserDefaults' => '[U ftHgݒ',
		    'unknown' => 's',
		    'unlimited' => '',
		    'unresolvedDomains' => 'hC',
		    'userAddOK' => '[U 𐳂ǉ܂B',
		    'userNameNotValid' => '[UɎgpł̂́ApAAu.vAu,vAu-vсu_vłB',
		    'userRemoveConfirm' => '[U $userName 폜Ăǂł? ̃[ÛׂẴt@CƃAJEg폜܂B',
		    'userWebTitle' => 'NGXg̑EFu Rec ( $showNum )',
		    'webDailyTitle' => '1 ̃qbg (Œ $maxDayShown )',
		    'webDayOfWeekTitle' => 'j̗ݐσqbg',
		    'webHourlyTitle' => '1 Ԃ̕σqbg',


		    'modifyUserEmail' => '$userName ̓dq[C',


		    'activeMonitorHelp' => 'ANeBu j^[  Cobalt Qube VXeƂ̃T[rX̃Xe[^XĎ܂BXe[^X̃T}[ɂ́ANbNĂB',
		    'back' => '߂',
		    'clickToSeeMore' => 'ڍ׏ɂ́ACgNbNĂB',
		    'cpuHelp' => 'וς́ACPU ׂ̏\܂ (VXẽCWP[^)B\ĺAߋ 1 Ԃ̕ϒlłB',
		    'cpuLoadAvg1' => 'CPU ו (1 )',
		    'cpuUsage' => 'CPU gp',
		    'disk' => 'fBXN',
		    'diskAllowed' => ' (MB)',
		    'diskFree' => ' (MB)',
		    'diskUsed' => 'gp (MB)',
		    'dns' => 'hC l[ T[rX (DNS)',
		    'email' => 'dq[',
		    'fileServices' => 't@C T[rX',
		    'groupName' => 'O[v',
		    'groupsDiskUsage' => 'O[v fBXNgp',
		    'groupsHelp' => '̃`[ǵAeO[vgpĂfBXNeʂĂ܂B',
		    'loadHelp' => 'ԁAA΂̊eCǵACobalt Qube ł CPU gpAxAႢƂꂼ\܂B̃CǵȀ񂪂܂ȂƂĂ܂B',
		    'memory' => '',
		    'needJava' => '̃y[W\ɂ́AuEU Java gp\ɂKv܂B    <UL><LI>Netscape Navigator 3.0 ł́A[IvV] j[ [lbg[N̐ݒ] IA[] ɂ [Java Lɂ] Ƀ`FbN}[NtĂB    <LI>Netscape Communicator 4.0 ł́A[ҏW] j[ [ݒ...] IA[ڍ] I [Java Lɂ] Ƀ`FbN}[NtĂB    <LI>Miscrosoft Internet Explorer 3.0 ł́A[\] j[ [IvV...] IA[ZLeB] ɂ [Java vOLɂ] IĂB</UL>',
		    'network' => 'lbg[N',
		    'services' => 'T[rX',
		    'severity' => 'd含',
		    'system' => 'VXe',
		    'systemAlert' => 'VXex',
		    'systemAlertInfo' => 'VXex',
		    'usageGraph' => 'gpOt',
		    'webServer' => 'EFu T[o',


		    'systemHelp' => 'Cobalt Qube ɃCXg[ĂIy[eBO VXe₻̑̃VXe t@CgpĂ鍇vfBXNeʂłBԁAA΂̊eCǵAfBXNgpAxAႢƂꂼꎦĂ܂B',
		    'userHelp' => 'Cobalt Qube ׂ̂Ă̓o^[UgpĂfBXNeʂłBԁAA΂̊eCǵAfBXNgpAʁAႢƂꂼꎦĂ܂B',
		    'groupHelp' => 'Cobalt Qube ׂ̂ẴO[vgpĂfBXNeʂłBԁAA΂̊eCǵAfBXNgpAxAႢƂꂼꎦĂ܂B',
		    'freeHelp' => 'Cobalt Qube Ŏgp\ȋ󂫃fBXNeʂłB',
		    'totalHelp' => '̃fBXN̍veʂłB',
		    'diskUsageSummary' => 'fBXNgp̃T}[',
		    'OSAndPrograms' => 'Iy[eBO VXeƃvO:',
		    'registeredUsers' => 'o^[U:',
		    'registeredGroups' => 'o^O[v:',
		    'freeDiskSpace' => '󂫃fBXNe:',
		    'totalSpace' => 've:',
		    'diskUsageUpdateFreq' => 'fBXNgp 1 ԂɍXV܂B',


		    'usersHelp' => '̃`[ǵACobalt Qube ̊e[UgpĂfBXNeʂĂ܂B',
		    'usersDiskUsage' => '[ŨfBXNgp',
		    'userName' => '[U',
		    'fullName' => '',


		    'dnsHelp' => 'Ԃ̃CgȈꍇAhC l[ T[rX (DNS) ɓ삵Ă܂B',
		    'dnsStatus' => 'hC l[ T[rX (DNS) ̃Xe[^X',


		    'forwardHelp' => '̓dq[𑼂̓dq[ AhXɎIɑɂ́Ã{bNXɃ`FbN}[NtāA]̓dq[ AhX͂ĂB',
		    'vacationHelp' => 'dq[𑗐MĂ肷ׂĂɃJX^dq[ bZ[WIɑɂ́Ã{bNXɃ`FbN}[NtāAԐMbZ[W͂ĂB́Adq[ǂނƂłȂꍇAM҂ɎԐMbZ[W𑗂肽ꍇɕ֗łB',
		    'emailSettings' => 'dq[̐ݒ',
		    'forwardTo' => 'dq[̓]:',
		    'vacationReply' => 'x/ɂdq[ԐM:',


		    'pop3Help' => 'CgԂ̏ꍇACobalt Qube  Post Office Protocol 3 (POP3) T[rXɓ삵Ă܂B',
		    'imapHelp' => 'CgԂ̏ꍇACobalt Qube  Internet Message Access Protocol (IMAP) T[rXɓ삵Ă܂B',
		    'smtpHelp' => 'CgԂ̏ꍇACobalt Qube  Simple Mail Transfer Protocol (SMTP) T[rXɓ삵Ă܂B',
		    'emailStatus' => 'dq[̃Xe[^X',


		    'groupNameHelp' => 'O[v́ÃO[ṽpubNуvCx[g EFu TCg URL Ɏgp܂B̖ÓAO[v [O XgƂāA܂AfBXJbV O[vɃANZX邽߂ɂgp܂BpAsIh (.)AnCt (-)AA_[XRA (_) gpł܂B',
		    'groupNameHelp2' => 'NOT USED',
		    'groupMembersHelp' => 'ׂẴO[v o[̃[U',
		    'noGroupName' => '<IMG SRC="/.cobalt/images/bang.gif" ALIGN=CENTER>O[v͂ĂB',
		    'noDiskQuota' => 'fBXN̊蓖ėeʂ͂ĂB',
		    'addNewGroup' => 'VKO[vǉ',
		    'maxAllowedDisk' => 'ő勖efBXNe (MB)',
		    'groupMembers' => 'O[v o[',
		    'confirmNewGroup' => 'VKO[vmF',
		    'backToGroupList' => 'O[v Xg֖߂',


		    'groupDefaultQuotaHelp' => 'ŁAV쐬ꂽO[vAt@C̕ۑƃEFu y[WpɎgp\ȃfBXNeʂ̃ftHglݒ肵܂B',
		    'groupDefaults' => 'O[ṽftHg',
		    'maxAllowedDiskIs' => 'ő勖efBXNe:',


		    'groupNameHelp1' => 'Cobalt Qube [ŨO[v̖OB',
		    'usersHelp1' => 'O[ṽo[ł郆[ŨXgB',
		    'groupModDelHelp' => 'O[v̐ݒCɂ́A<IMG SRC="/.cobalt/images/modify.gif" BORDER=0 WIDTH=19 HEIGHT=19>NbNĂBO[v폜ɂ́A<IMG SRC="/.cobalt/images/delete.gif" BORDER=0 WIDTH=19 HEIGHT=19>NbNĂB',
		    'cannotRemoveGroupHome' => 'O[v home fBNg͍폜ł܂B',
		    'confirmRemoveGroup' => '"O[v "+groupName+" 폜Ă낵ł? sƁAO[vуO[v fBNĝׂẴt@C폜܂B"',
		    'groupsList' => 'O[v Xg',
		    'groupHomeNote' => ': "home" ƂO[v͎Iɍ쐬܂B̃o[́ACobalt Qube ̃z[ y[WC邱Ƃł܂B',
		    'groupQuotaHelp' => 'EFu y[WAdq[AfBXJbV O[vȂ̃t@CɋĂ鍇vfBXNeʁB',
		    'groupQuotaHelp1' => 'NOT USED',
		    'usersHelp2' => 'ׂẴO[v o[̃[UBO[ṽo[̖OɃ`FbN}[NtāÃo[IĂB',
		    'modGroup' => 'O[vC',
		    'confirmModify' => 'CmF',


		    'needFrames' => '̃y[ẂAt[T|[guEUŕ\悤ɐ݌vĂ܂B t[ɑΉuEUKvłB',


		    'seeCobaltQubeInfo' => 'Cobalt Qube ̏B',
		    'clickToSeeCobaltQubeInfo' => 'Cobalt Qube ̏ɂ́ACobalt SNbNĂB',


		    'clickToNavigate' => 'irQ[gɂ́A{^NbNĂB',
		    'docManagerHelp' => 'InfoPlace hLg I[KiCUɃANZXɂ́ANbNĂB',
		    'adminSiteHelp' => 'Cobalt Qube ̊ǗBT[oǗɂ͂NbNĂ (pX[h Kvł)B',


		    'cobaltSystemInfo' => 'Cobalt VXe ',
		    'processor' => '[SPEED]Mhz MIPS vZbT',
		    'ram' => ':',
		    'hardDisk' => 'n[h fBXN:',
		    'OSVersion' => 'OS o[W:',
		    'cobaltWebSite' => 'Cobalt Microserver ̃EFu TCg',
		    'creditsAndAcknowledgements' => 'Wюӎ',
		    'cobaltCopyright' => '̐iŎgp CobaltACobalt Microserver, Inc.ACobalt QubeȂ̃A[g[Nׂ͂āACobalt Microserver, Inc. ̏WłB̑̐iAЖ́Aꂼ̉Ђ܂͕ۗL҂̏W܂͓o^WłBCopyright 1998<BR><BR>̐iɊ܂܂Aт̐iɊւ́A\ȂɕύX邱Ƃ܂B',


		    'listHelp' => 'Cobalt Qube ɃCXg[Ă邷ׂẴ\tgEFÄꗗłB',
		    'fileHelp' => 'CXg[\tgEFA pbP[W̃t@C͂邩A[Q...] {^NbNăn[h hCut@CIĂBCXg[Jnɂ́A[CXg[] {^NbNĂB',
		    'installing' => 'pbP[WAbv[hăCXg[Ă܂B΂炭҂...',
		    'installSoftware' => '\tgEFACXg[',
		    'softwareToInstall' => 'CXg[\tgEFA',
		    'adminPassword' => 'admin pX[h',
		    'installPackage' => '.pkg pbP[WCXg[',
		    'ieUploadNote' => 'Microsoft Internet Explorer 3 gpĂꍇA[Q...] {^͕\ꂸAt@CAbv[h邱Ƃ͂ł܂BVuEU肵ĂB',
		    'softwareInstalled' => 'Cobalt Qube ɃCXg[Ă\tgEFA',


		    'memHelp' => 'Ԃ̃Cg_ĂꍇÃXbvpxAVXeׂ͕ĎgpĂ܂B',
		    'memStatus' => '̏',


		    'qubeNameHelp' => 'Cobalt Qube ɖOtĂB̖ÓAlbg[Nł Cobalt Qube ʂ邽߂Ɏgp܂BÓAEFuƓdq[ AhX̒ɁAႦ gqubename.yourcompany.comh ̂悤Ɏgp܂BOɂׂ͂ẲpƃnCt (-) gpł܂AXy[X͎gpł܂BCobalt Qube ̖O͕KpŎn߂ĂB',
		    'domainNameHelp' => '̃hC l[VXeǗ҂擾ĂBhĆAEFuƓdq[ AhXɁAႦ username@qubename.domainname.com ̂悤Ɏgp܂B Cobalt Qube ̃hCɓo^Ă邱ƂAVXeǗ҂ɊmFĂB',
		    'ipAddrHelp' => ' Cobalt Qube  IP AhXłBlbg[Nł́AɂẴT[oӂɎʂ܂B̃AhX̕ύX́ACobalt Qube ̔wʂɂ LCD pls܂B',
		    'netMaskHelp' => ' Cobalt Qube ̃Tulbg }XNłB̃AhX̕ύX́ACobalt Qube ̔wʂɂ LCD pls܂BNX C ̃lbg[N̒ʏ̃Tulbg }XN 255.255.255.0 łAgpĂlbg[ÑTCYɂĂ͈قȂꍇ܂B',
		    'dnsAddrHelp1' => 'vC} hC l[ T[o (DNS) ̃AhXVXeǗ҂擾ĂBDNS T[óAIP AhXƃlbg[ÑfoCX̖OƂ̕ϊs܂B́Adq[M邽߂ɕKvłBIP AhX́AsIhŋ؂ꂽ 4 g̐\Aꂼ̐ 255 ȉł (: 192.168.0.1)B',
		    'dnsAddrHelp2' => 'ZJ_ hC l[ T[o (DNS) ̃AhXVXeǗ҂擾ĂB̃tB[h̓IvVłAvC} DNS T[ops\ɂȂꍇɁACobalt Qube ʏʂ蓮ł悤ɏ璷邱Ƃł܂B',
		    'gatewayHelp' => '[^t@CEH[ }VȂǁAlbg[N Q[gEFC IP AhXłBQ[gEFC̃AhX́ACobalt Qube [J lbg[N̊ÕVXeɐڑ邽߂ɕKvɂȂ܂BC^[lbgɂꍇ́ÃAhX (0.0.0.0) ̂܂܂ɂĂƂł܂B̃AhX̕ύX́ACobalt Qube ̔wʂɂ LCD pls܂B',
		    'macHelp' => 'MAC (Media Access Control) AhX́ACobalt Qube ̃n[hEFA C[Tlbg AhXłB̃n[hEFÃAhX͊eC[Tlbg foCXɌŗLłAύX邱Ƃ͂ł܂B',
		    'hostNameNotValid1' => ' Cobalt Qube ͗Lł͂܂BLȖO̗ brandy ȂǂłB',
		    'domainNameNotValid1' => '̃hC l[͗Lł͂܂BLȖO̗ cobaltmicro.com ȂǂłB',
		    'dnsNotValid1' => ' DNS AhX͗Lł͂܂BLȃAhX̗ 192.168.0.2 ȂǂłB',
		    'savingWait' => '\ۑĂ܂B΂炭...',
		    'networkSettings' => 'lbg[N̐ݒ',
		    'cobaltQubeName' => 'Cobalt Qube ',
		    'hostname' => 'zXg',
		    'domainName' => 'hC l[',
		    'dnsAddr1' => 'vC} DNS T[õAhX',
		    'dnsAddr2' => 'ZJ_ DNS T[õAhX',
		    'optional' => 'IvV',
		    'ipAddr' => 'IP AhX',
		    'subnetMask' => 'Tulbg }XN',
		    'defaultGateway' => 'ftHg Q[gEFC',
		    'macAddr' => 'MAC AhX',
		    'networkSettingNote' => 'lbg[N VXe̐mۂ邽߁ȀVXeǗ҂ƒĂB',


		    'goodHelp' => 'Mꂽlbg[N pPbg̐B',
		    'errorHelp' => 'lbg[N pPbg𑗎MƂ̃G[̑B',
		    'dropHelp' => 'MɎsŃhbvꂽlbg[N pPbg̐B',
		    'collisionHelp' => '̃lbg[N pPbg̓M݂ (܂Փ) 񐔁B',
		    'overallCollisionHelp' => 'Cobalt Qube NĈȗ̃lbg[NՓ˗BՓ˗́Albg[N̐\Aׂ邱ƂĂ܂B',
		    'currentCollisionHelp' => '݂̃lbg[NՓ˗BՓ˗́Albg[N̐\Aׂ邱ƂĂ܂B',
		    'networkStatus' => 'lbg[N̏',
		    'networkUsage' => 'lbg[N̎gp',
		    'networkPackets' => 'lbg[N pPbg',
		    'sent' => 'M',
		    'received' => 'M',
		    'good' => 'ǍD',
		    'error' => 'G[',
		    'dropped' => 'hbv',
		    'collisions' => 'Փ',


		    'rebootWait' => 'ċNĂ̂ł҂BċN̊ɂ 2 ` 3 ܂B',
		    'rebooting' => 'ċNĂ܂...',


		    'userOpenHelp' => '̃IvV́Ał[UƂĎȓo^łÃAJEg Cobalt Qube 폜ł悤ɂ܂BɂAǗ҂̕SȂȂ܂B',
		    'userSecureHelp' => '̃IvVł́AǗ҂o^[U쐬A폜Kv܂BɂAǗ҂̕S傫Ȃ܂ACobalt Qubẽ\[Xgpł郆[U̐Rg[邱Ƃł܂B',
		    'cobaltHomeOpenHelp' => 'Cobalt Qube z[ y[Wɂ͋͂ȌGWу[UO[vւ̃N܂BI[v [hł́ACobalt Qube ɃANZXł郆[U͂łA[Uւ̃ANZX⌟уO[vy[Wւ̃ANZX܂B',
		    'cobaltHomeSecureHelp' => 'Cobalt Qube z[ y[Wɂ́A[UƃO[v̏񂪊܂܂Ă܂BCobalt Qube ɕۑĂo^[UANZXł悤ɂɂ́A胂[hIĂB',
		    'cgiOpenHelp' => '[U CGI XNvg Cobalt Qube ɃCXg[ł܂BɂA[U CGI x[X̃_Ci~bNȃEFu Rec쐬ł܂B',
		    'cgiSecureHelp' => 'Ǘ  CGI XNvg Cobalt Qube ɃCXg[ł܂BɂZLeB͍܂܂AǗ҂ CGI XNvgCXg[łȂ߁AǗ҂̕S傫Ȃ܂B',
		    'telnetOffHelp' => 'telnet T[o͊SɃItɂȂĂ܂Btelnet ANZX͈Sł͂Ȃ߁ÃIvVÎłSłB',
		    'telnetRootHelp' => '[g [U Cobalt Qube  telnet ڑł܂B̃IvV́At telnet ANZX񋟂܂B',
		    'telnetUserHelp' => '[g [UƂׂĂ̓o^[U Cobalt Qube  telnet ڑł܂BׂĂ Cobalt Qube [U telnet ANZXɂ́ÃIvVgp܂B',
		    'openRestrictedNote' => 'I[v IvV́A[U Cobalt Qube 葽Rg[邱Ƃ܂B IvV̓[ŨANZX𐧌邽߁AZLeB͍܂܂Aadmin ̕S傫Ȃ܂B',
		    'userAddAndRemove' => '[Uǉэ폜',
		    'open' => 'I[v',
		    'userOpenNote' => 'ł[U Cobalt Qube ɒǉłÃAJEg폜ł܂BɂAadmin ̊ǗSȂȂ܂B',
		    'restricted' => '',
		    'userRestrictedNote' => 'admin [UǉA폜ł܂BɂAǗ҂̕S傫Ȃ܂B',
		    'cobaltQubeHomePageAccess' => 'Cobalt Qube z[ y[W ̃ANZX (/cobalt/)',
		    'homeOpenNote' => 'Êł Cobalt Qube z[ y[WɃANZXł܂B',
		    'homeRestrictedNote' => 'o^[U Cobalt Qube z[ y[WɃANZXł܂B',
		    'installCGIScripts' => 'CGI XNvgCXg[',
		    'cgiOpenNote' => '[U admin ̗ CGI XNvgCXg[ł܂Bɂ_܂܂ASႭȂ܂B',
		    'cgiRestrictedNote' => 'Admin  CGI XNvgCXg[ł܂Bɂ_ႭȂ܂AS܂܂B',
		    'telnetAccess' => 'Telnet ANZX',
		    'off' => 'It',
		    'telnetOffNote' => 'telnet ANZX͎gpł܂B͍łSȃIvVłB',
		    'rootOnly' => '[ĝ',
		    'telnetRootNote' => '[g [U Cobalt Qube  telnet ڑł܂B',
		    'rootAndUsers' => '[g [UƂׂĂ̓o^[U',
		    'telnetRootUserNote' => '[g [UƂׂĂ̓o^[U Cobalt Qube  telnet ڑł܂B͍łS̒ႢIvVłAł_񋟂܂B',


		    'selfRegisterNote' => '̃y[WŁA[U Cobalt Qube Ɏȓo^ł邩ǂw肵܂B',


		    'workgroupHelp' => 'Windows t@CL (SMB)B́A[J lbg[Ñ[NO[vhCɐݒ肷Kv܂BftHg WORKGROUP łB(NT }VڑĂȂ) Windows95 lbg[NgpĂꍇA[NO[v́Albg[N Rg[ plɈꗗ\ ([[U] ^uɕ\) 閼OɈvȂ΂Ȃ܂B',
		    'smbParam' => 'SMB p[^',
		    'workgroupOfQube' => 'Cobalt Qube 郏[NO[v',


		    'clickToSeePublic' => 'Cobalt Qube ̃pubN TCgɃANZXɂ́ANbNĂB',
		    'userNameHelp' => '[Uʂ邽߂ Cobalt Qube gp閼OłBÓAEFu TCg URL ƁA[U̓dq[ AhXɂgp܂BpAAsIh (.)AnCt (-)AA_[XRA (_) gpł܂B',
		    'fullNameHelp' => '[U̎ŁAXy[Xŋ؂Ă܂ (: Rc Y)B̖ÓAftHg̃[U쐬邽߂Ɏgp܂B',
		    'passwordHelp' => 'ŏ́A[UftHg pX[hɐݒ肳܂B́A3`16 ō\Cӂ̃pX[hɕύXł܂BSȃpX[h́Aɂ悤Ȍł͂ȂÂȂ̂łB5 ȏ̒ŁAAt@xbgȊO̕ȂƂ 1 gp邱Ƃ߂܂BpX[h͑啶/ʂ܂B',
		    'noUserName' => '[ŨtB[hɓ͂ĂB',
		    'passwordNotValid' => 'pX[h 3`16 łȂ΂Ȃ܂B',
		    'passwordBadChar' => 'pX[hɕsȕ܂܂Ă܂B1 oCg̉pƋL݂̂gpĂB',
		    'addNewUser' => 'VK[Uǉ',
		    'fullname' => '',
		    'username' => '[U',
		    'firstNameLastName' => 'Aɐ',
		    'password' => 'pX[h',
		    'confirmNewUser' => 'VK[UmF',


		    'userNameHelp1' => '[Uʂ邽߂ Cobalt Qube gp閼OB',
		    'fullNameHelp1' => 'Cobalt Qube ̓o^[U̎B',
		    'actionHelp' => '[U̐ݒCɂ <IMG SRC="/.cobalt/images/modify.gif" BORDER=0 WIDTH=19 HEIGHT=19> NbNĂB [U̓dq[Cɂ <IMG SRC="/.cobalt/images/edit_email_but.gif" BORDER=0 WIDTH=19 HEIGHT=19> NbNĂBCobalt Qube 烆[U폜ɂ <IMG SRC="/.cobalt/images/delete.gif" BORDER=0 WIDTH=19 HEIGHT=19> NbNĂB',
		    'setUserDefaults' => '[U ftHgݒ',
		    'userList' => '[U Xg',
		    'confirmRemoveUser' => '"[U "+userName+" 폜Ă낵ł? sƁÃ[ŨAJEgƃt@C폜܂B"',


		    'passwordHelp1' => 'ftHg pX[h̓[Uɐݒ肳Ă܂B́A3`16 ō\Cӂ̃pX[hɕύXł܂BpX[h͑啶/ʂ܂B',
		    'userQuotaHelp' => '̃[UɊ蓖ĂĂfBXNeʂłBEFu y[WAdq[ȂׂẴt@Cɑ΂ċĂ鍇ṽfBXNeʂłB',
		    'modifyUser' => '[UC',
		    'newFullName' => 'V',
		    'newPassword' => 'VpX[h',


		    'webEmailDiscussHelp' => 'O[ṽpubN z[ y[WɃANZXɂ́A<IMG SRC="/cobalt-images/webSmall.gif" BORDER=0 WIDTH=20 HEIGHT=20 ALIGN=MIDDLE>NbNAO[ṽvCx[g z[ y[WɃANZXɂ́A<IMG SRC="/cobalt-images/private_web_icon_small.gif" BORDER=0 WIDTH=20 HEIGHT=20 ALIGN=MIDDLE>NbNAdq[O[vɑMɂ́A <IMG SRC="/cobalt-images/emailSmall.gif" BORDER=0 WIDTH=20 HEIGHT=20 ALIGN=MIDDLE>NbNAvCx[g fBXJbV GAɃANZXɂ́A<IMG SRC="/cobalt-images/discussSmall.gif" BORDER=0 WIDTH=20 HEIGHT=20 ALIGN=MIDDLE>NbNĂB',
		    'viewGroupList' => 'O[v Xg\',
		    'webEmailDiscuss' => 'EFu/dq[/fBXJbV',



		    'webEmailHelp' => '[Ũz[ y[WɃANZXɂ́A<IMG SRC="/cobalt-images/webSmall.gif" BORDER=0 WIDTH=20 HEIGHT=20 ALIGN=MIDDLE> NbNA[Uɓdq[𑗐Mɂ́A <IMG SRC="/cobalt-images/emailSmall.gif" BORDER=0 WIDTH=20 HEIGHT=20 ALIGN=MIDDLE> NbN܂B',
		    'viewUserList' => '[Üꗗ',
		    'webEmail' => 'EFu/dq[',


		    'accessByDomain' => 'hCɂANZX',
		    'domain' => 'hC',
		    'meaning' => '`',
		    'hitsFromDomain' => 'hC̃qbg',


		    'webServerStatus' => 'EFu T[ȍ',
		    'webUsageUpdateFreq' => 'EFugp̃|[g͂܂쐬Ă܂B<BR>|[g͖Ӎ쐬܂B',


		    'webMostRequestedTitle' => 'NGXgɂďʕtEFu Rec ([SHOWNUM])',


		    'statusHelp' => '́AEFu T[ȍԂ\܂BԂ̃Cg͖肪邱Ƃ\܂B',
		    'genHelp' => 'EFugp̓v͖쐬܂Bɂ́A|[g̍쐬\܂B',
		    'coverageHelp' => '́AO t@C̊Ԃ܂͔͈͂\܂B',
		    'hostNumHelp' => '́ÃEFu T[oɐڑĂʂ̃Rs[^̐\܂B Cobalt Qube łl̈قȂ郆[UEFu RecĂ邩܂B: t@CEH[̌ɂ镡̃Rs[^ 1 ̃AhXƂĕ\܂B',
		    'htmlNumHelp' => '.html t@C̃NGXgB1 ̃EFu y[W .html t@Cō\Ă邱Ƃ܂B',
		    'scriptNumHelp' => 'CGI XNvg̃NGXgBCGI XNvg̓T[oœ삵A_Ci~bNȃEFu Rec𐶐vOłB',
		    'otherNumHelp' => 'ɂ́A摜t@C (gifAjpg Ȃ)AI[fBI (wavAau Ȃ)A .html t@C CGI XNvgł͂Ȃ̃t@C܂܂܂B',
		    'badNumHelp' => '݂Ȃt@C[UvƁACobalt Qube ͕sǃNGXg𐶐܂B̃JeSɂ́AeꂽNGXg₻̑̃G[NNGXg܂܂܂B',
		    'totalNumHelp' => 'ׂẴNGXg̑łB',
		    'avgPerHourHelp' => '́ACobalt Qube ւ 1 Ԃ̕σEFu NGXg\܂B̒ĺAEFu T[oǂ̒xׂŎgpĂ邩܂BLȕϒl𓾂܂łɐ邱Ƃ܂B',
		    'avgPerDayHelp' => '́ACobalt Qube ւ 1 ̕σEFu NGXg\܂B̒ĺAEFu T[oǂ̒xgpĂ邩܂BLȕϒlmɂ́A邱Ƃ܂B',
		    'webUsageSummary' => 'EFugpT}[',
		    'reportGenerated' => '|[g쐬',
		    'periodCovered' => 'Ώۊ',
		    'computersRequesting' => 'EFu RecvĂRs[^̐',
		    'htmlRequests' => 'HTML y[W̃NGXg',
		    'cgiRequests' => 'CGI XNvg̃NGXg (: cgiApl)',
		    'otherRequests' => '̑̃NGXg (: gifAjpg...)',
		    'badRequests' => 'sǃNGXg',
		    'totalRequests' => 'vNGXg',
		    'avgRequestsPerHour' => '1 Ԃ̕σNGXg',
		    'avgRequestsPerDay' => '1 ̕σNGXg',
		    'otherWebStats' => '̑̃EFugpv',
		    'webMostRequested' => 'NGXgɂďʕtEFu Rec',
		    'webDayOfWeek' => 'j̗ݐσqbg',
		    'webDay' => '1 ̃qbg (ō[MAXDAYSHOWN]  )',
		    'webHour' => '1 Ԃ̕σqbg',
		    'webDomain' => 'hCɂANZX',
		    'webUsageUpdateFreq1' => 'EFuv͖ӍXV܂B',


		    'adminFullNameHelp' => ' Cobalt Qube Ǘ҂̎ - : Rc YB',
		    'adminUserNameHelp' => 'Cobalt Qube Ǘ҂̃[U͏ admin łBύX͂ł܂B',
		    'adminEmailHelp' => '肪ꍇAǗ҂ Cobalt Qube ̎̃AJEgɒʒm󂯂܂Bʒmpɑ̓dq[ AhXw肷邱Ƃł܂B',
		    'adminSettings' => 'Ǘ҂̐ݒ',
		    'existingEmailAddr' => '̓dq[ AhX',
		    'warning' => 'x!',
		    'adminPasswordModNote' => '̃y[WŊǗ҂̃pX[hύXł܂B<BR>w肵pX[h́ACobalt Qube ̊Ǘ@\ɃANZX邽߂ɕKvƂȂ܂B<BR>pX[h̕ύXɁAEFu uEUAVpX[h̔F؂߂ꍇ܂B',


		    'userDefaultQuotaHelp' => 'ŐVKɍ쐬[Ut@C̕ۑƃEFu y[WpɎgpłfBXNeʂ̃ftHgݒ肵܂B',
		    'userDefaults' => '[U ftHg',


		    'userDiskHelp' => '́AȂ̃t@CgpĂfBXNe (MB P) Ă܂B',
		    'requestHelp' => '́AȂ̃EFu y[WQƂꂽ񐔂Ă܂B',
		    'yourDiskUsage' => 'Ȃ̃fBXNgp',
		    'usageBar' => 'gpʃo[',


		    'ftpStatusHelp' => 'CgԐF̏ꍇ́ACobalt Qube  File Transfer Protocol (FTP) T[rXɓ삵Ă܂B',
		    'smbStatusHelp' => 'CgԐF̏ꍇ́ACobalt Qube  Windows t@CL (SMB) T[rXɓ삵Ă܂B',
		    'atalkStatusHelp' => 'CgԐF̏ꍇ́ACobalt Qube  AppleShare T[rXɓ삵Ă܂B',
		    'fileServicesStatus' => 't@C T[rX̏',


		    'year' => 'N',
		    'month' => '',
		    'date' => 't',
		    'hour' => '',
		    'minute' => '',
		    'timeZone' => '^C ][',
		    'GMT-12' => 'GjEFgNANGWF',
		    'GMT-11' => '~bhEF[ATA',
		    'GMT-10' => 'nC',
		    'GMT-9' => 'AXJ',
		    'GMT-8' => 'mW (čуJi_); TtVXRA}Eer[',
		    'GMT-7' => 'RnW (čуJi_); A]iA{[_[',
		    'GMT-6' => 'W (čуJi_); ZgCXAI[X`',
		    'GMT-5' => 'W (čуJi_); j[[NAAg^',
		    'GMT-4' => '吼mW (Ji_); JJXApX',
		    'GMT-3' => 'uWAAuGmXACXAW[W^E',
		    'GMT-2' => '吼m',
		    'GMT-1' => 'A]XAJ{xf',
		    'GMT+0' => 'OjbWW; JTuJA_uAh',
		    'GMT+1' => 'AXe_AxAubZApA[}',
		    'GMT+2' => 'AelAJCAwVLAeAruACX^u[',
		    'GMT+3' => 'oO_bhANEF[gAXNATNg yeXuO',
		    'GMT+4' => 'Au_rA}XJbgAgrV',
		    'GMT+5' => 'CX}o[hAJ`AGJeuOA^VPg',
		    'GMT+6' => 'A}eB[A_bJ',
		    'GMT+7' => 'oRNAWJ^AnmC',
		    'GMT+8' => 'kA`Ap[XAVK|[Ak',
		    'GMT+9' => 'AADyA\EAN[cN',
		    'GMT+10' => 'OA, {A|[gXr[AVhj[',
		    'GMT+11' => '}K_A\Aj[JhjA',
		    'GMT+12' => 'I[NhAtBW[AJ`cJAEFg',

		    'noFaxEmail' => 't@bNXԍdq[ AhX͂ĂB',
		    'registrating' => 'o^Ă܂...',
		    'registerNote' => 'Cobalt Qube ICœo^ꍇ́Aȉ̃tH[LA[dq[œo^] {^NbNďdq[őMĂBCobalt Ђ́ÃvCoV[AVXẽAbvf[gAVi񂨂є̔im点邽߂ɏgp܂B<BR><BR>	*AX^XN̂tB[hɂ͓͂KvłBt@bNXԍ܂͓dq[ AhX͂ĂB',
		    'cobaltQubeRegistration' => 'Cobalt Qube ̓o^',
		    'title' => 'E',
		    'companyName' => 'Ж',
		    'country' => '',
		    'zipCode' => 'X֔ԍ',
		    'prefecture' => 's{',
		    'city' => 's܂͌SȂ',
		    'streetAddr' => 'ԒnȂ',
		    'phone' => 'dbԍ',
		    'fax' => 't@bNXԍ',
		    'registerThroughEmail' => 'dq[œo^',


		    'wwwHelp' => 'Cobalt Qube ɍ쐬EFu y[ẂAlbg[NŃuEU \tgEFAƓK؂ȃANZXׂẴ[U邱Ƃł܂B',
		    'discussHelp' => 'fBXJbV O[v́AO[v o[płIC̃fBXJbV܂̓bZ[W̌fłB̋@\𗘗pāAj𓢋cAu[Xg[~OsAv𗧂Ă肷邱Ƃł܂B',
		    'emailHelp' => 'dq[ T[rX (SMTPAPOP3AIMAP4) ́ACobalt Qube ̓o^[Udq[𑗎Mł悤ɂ܂B[ÚA̓dq[𑼂̃AhX֓]AIɕԐM肷邱Ƃł܂BCobalt Qube ł̓dq[ AhX̌` username@qubename.domainname łB',
		    'ftpHelp' => 'FTP ́A[U File Transfer Protocol (FTP) gpāACobalt Qube Ƃ̊ԂŃt@CAbv[hA_E[hł悤ɂ܂B[ÚAuEUAFetch  WS-FTP Ȃǂ FTP \tgEFÂꂩgpăt@C]ł܂B',
		    'smbHelp' => 'SMB (Server Message Block) ́AWindows95  NT Iy[eBO VXẽ[UA [lbg[N Rs[^] ACR Cobalt Qube ɃANZXACobalt Qube Ƃ̊ԂŃt@ChbOAhhbvł悤ɂ܂BSMB ł́AO[v xł̃t@CL\łB - Windows95 lbg[Ñ[UŁA[NO[vWORKGROUP ɐݒ肳ĂȂꍇACobalt Qube ̃[NO[v̖OAWindows95 ̃[NO[vɈv悤ɕύXKv܂BZbgAbv EBU[hŁAsł܂B ',
		    'dnsHelp' => '̃T[rX Cobalt Qube  DNS (hC l[ T[rX) T[oɂ܂BŃ[ÚARs[^ IP AhXɕϊł悤ɂȂ܂B́AIP AhX (192.168.0.2) ł͂ȂÃzXg (www.website.com) gpăRs[^ɃANZX邽߂ɕKvłB',
		    'nfsHelp' => 'Unix Iy[eBO VXẽ[UAẼlbg[NɐڑĂǂ Unix }Vɑ΂ĂAt@C̃pubV_E[hsł悤ɂ܂B',
		    'appleShareHelp' => 'Apple t@CĹAMacOS Iy[eBO VXẽ[UÃfXNgbv Cobalt Qube }EgoŃhbOAhhbvł悤ɂ܂BAppleShare ł́AO[v xł̃t@CL\łB',
		    'savingRestart' => '\ۑāAT[rXċNĂ܂B΂炭҂...',
		    'basicServices' => '{T[rX',
		    'alwaysOn' => '펞I',
		    'discussionGroup' => 'fBXJbV O[v',
		    'emailServer' => 'dq[ T[o',
		    'advancedServices' => 'xȃT[rX',
		    'ftpServer' => 'FTP T[o',
		    'windowsFileSharing' => 'Windows t@CL (SMB)',
		    'smbParameters' => 'SMB p[^',
		    'appleFileSharing' => 'Apple t@CL (AppleShare)',
		    'dnsParameters' => 'DNS p[^',
		    'configInAdminSite' => 'NOT USED',


		    'wizardIntroTitle' => 'Cobalt Qube ւ悤!',
		    'start' => 'Jn',
		    'needJavascript' => '̃y[W\ɂ JavaScript KvłB uEU JavaScript s\ɂĂB<UL><LI>Netscape Navigator 3.0 ł́A [IvV] j[ [lbg[N̐ݒ] IāA[]  [JavaScriptLɂ] ̃`FbN{bNXIɂĂB<LI>Netscape Communicator 4.0 ł́Aj[ [ҏW] - [ݒ] IāA[ڍ] I܂B[JavaScriptLɂ] ̃`FbN{bNXIɂĂB</UL>',


		    'wizardIndexTitle' => 'ZbgAbv EBU[h',


		    'sysManageTitle' => 'Ǘ TCg',


		    'cobaltQubeRegistration' => 'Cobalt Qube ̓o^',
		    'noEmailRegister' => 'dq[ɂo^͂ł܂B<BR><BR>Cobalt Qube Yt̓o^J[hɋL̏AЂ܂ŕԑBCobalt Ђ͓o^J[hɋLڂĂl̃vCoV[AVXe̍XVAViAѐiL̍mړIɂ݂̂̏𗘗p܂B',


		    'cobaltQubeRegistrationComplete' => 'Cobalt Qube o^̊',
		    'registerCompleteNote' => '肪Ƃ܂BCobalt Qube ̓o^tH[M܂B̏ɏ]āA  Cobalt Qube ̃Abvf[gAi񂨂уT[rX͂܂B',


		    'creditsAndAck' => 'Wюӎ',
		    'bsdCopyright' => 'THE BSD COPYRIGHT - BSD ̒쌠',
		    'gnuLicense' => 'GNU PUBLIC LICENSE - GNU pubN CZX',
		    'cobaltCreditsAndAck' => 'Cobalt ̌\Ǝӎ',
		    'cobaltCredits' => 'Cobalt Qube ̈ꕔ͍Ĕzz\ȃR|[lg\Ă܂B AʂȍĔzzKvȃR|[lgꕔgpĂ܂B Cobalt Microserver ͂̋擾Ă܂B \tgEFA R|[lg̑啔 <A HREF="bsd.html">BSD ̒쌠</A>  <A HREF="gnu.html">GNU pubN CZX</A> ̎ōĔzz\łB</A> ֘A\[X R[hŜ}V [_uȌ`œ肵ꍇ́A Ђ܂łAB',
		    'glimpseCredits' => '̐iŎgpĂ錟GW̒쌠̓A]iwLĂ܂BA]iwɂ鎖ŐȂǍGW̗pƔzz͖{î݂Ɍ肳Ă܂BڍׂɂĂ͉L܂ł₢킹B <A HREF="http://glimpse.cs.arizona.edu/">http://glimpse.cs.arizona.edu/</A>.',
		    'docOrgCredits' => '̐iŎgpĂ Document Organizer ͕̌č Infoplace, Inc LĂ܂BčInfoplace, Inc ɂ鎖ŐȂADocument Organizer ̗pƔzz͖{iɌ肳Ă܂BڍׂɂĂ͉L܂ł₢킹B<A HREF="http://www.infoplace.com/">http://www.infoplace.com/.</A>.',


		    'rebootHelp' => '̃{^ Qube ċN܂BċNɂ͐܂B',
		    'rebootCobaltQube' => 'Cobalt Qube ċN',
		    'reboot' => 'ċN',
		    'rebootNote' => 'ċNĂԁACobalt Qube ̓lbg[N 2 ` 3 gpłȂȂ܂B',


		    'authorizationRequired' => 'F؂Kvł',
		    'authorizationRequiredNote' => 'T[o͗vꂽhLgւ̃ANZXɑ΂F؂mFł܂łB w肳ꂽؖɌ肪 (pX[hԈĂȂ) Aؖ𑗐M@\uEUɂ܂B',
		    'backToCobaltHome' => 'Cobalt Qube z[ y[Wɖ߂',
		    'fileNotFound' => 't@C܂',
		    'fileNotFoundNote' => 'NGXgꂽ URL ͂̃T[oł͌܂łB',
		    'forbidden' => 'ANZX֎~',
		    'forbiddenNote' => '̃T[oŃNGXgt@Cɑ΂ANZX܂B',
		    'internalServerError' => 'T[o̓G[',
		    'internalServerErrorNote' => 'T[oœG[܂͐ݒG[߁ANGXgɑ΂鏈ł܂łB',


		    'cobaltQubeHomepage' => 'Cobalt Qube z[ y[W',


		    'next' => '',
		    'finish' => '',
		    'wizardNetworkTitle' => 'Cobalt Qube 𑼂̃[UANZXł悤ɂɂ́Ȁ͂ĂB',
		    'wizardAdminTitle' => 'Cobalt Qube ̃ANZXAT[rXAу[Uݒł̂͊Ǘ҂łB',
		    'wizardServicesTitle' => 'ׂẴ[UƃO[v痘pł悤ɂT[rXIĂB',
		    'wizardTimeTitle' => 'Cobalt Qube ̎ƃ^C ][͂ĂB',
		    'wizardAccessTitle' => 'Cobalt Qube ɑ΂K؂ȃANZXIĂB',
		    'wizardUsersTitle' => '[U ftHgݒ肵āAo^[UǉĂB',
		    'wizardGroupsTitle' => 'O[v͓֐S[ȔW܂łBftHgݒ肵č쐬ĂB',
		    'wizardRegisterTitle' => 'Cobalt Qube o^ĂB',


		    'welcomeToTheCobaltQube' => 'Cobalt Qube ւ悤!',
		    'viewUsers' => '[U\',
		    'viewGroups' => 'O[v̕\',
		    'personalProfile' => 'l',
		    'addNewUser' => 'VK[Uǉ',
		    'homeHomeHelp' => '̃y[Wł Cobalt Qube ̊Tv܂B',
		    'homeUsersHelp' => '̃T[o̓o^[UAdq[ AhXAуz[ y[Ẅꗗɂ́ANbNĂB',
		    'homeGroupsHelp' => 'O[vƃO[v o[̈ꗗɂ́ANbNĂBO[ṽ[O XgAWeb TCgAуfBXJbV GAɂANZXł܂B',
		    'homeSearchHelp' => '̃T[oɕۑĂ HTML t@CƃeLXg t@C̓eɂ́ANbNĂB',
		    'homeProfileHelp' => '̌l̐ݒfBXvCAύXɂ͂NbNĂBAJEgɊւڍׂ̃fBXvCAobNAbv̎sA Web y[W̍쐬s܂B',
		    'homeAddUserHelp' => ' Qube ̓I[v [hŎsłBVK[U AJEgǉɂ͂NbNĂB',
		    'homeModUserHelp' => 'pX[hȂǂ̃[U͂ŕύXł܂B',
		    'homeEmailHelp' => '[]xɒ̉̐ݒs܂B',
		    'homeUsageHelp' => 'fBXNp󋵂 Web qbg̏ڍׂfBXvC܂B',
		    'homeBackupHelp' => 'obNAbv́A[U Cobalt Qube z[ fBNĝׂẴt@CƃTufBNgAuEU𗘗păp\R֕ۑ܂B',
		    'homeRestoreHelp' => '́A[Ũz[ fBNĝׂẴt@CƃTufBNg .qub obNAbv t@C畜܂B',
		    'homePageBuilderHelp' => 'y[W r_ [eBeB̓[Ũz[ y[WȒPɁAZԂō쐬邽߂̋͂ȃc[łB',
		    'users' => '[U',
		    'groups' => 'O[v',
		    'controlPanel' => 'Rg[ pl',
		    'maintenance' => 'ێ',
		    'systemStatus' => 'VXȅ',
		    'serviceStatus' => 'T[rX̏',
		    'systemAlert' => 'VXex',
		    'adminUsersHelp' => '[UƊǗ҂̐ݒǗɂ́ANbNĂB',
		    'adminGroupsHelp' => 'O[v̐ݒǗɂ́ANbNĂB',
		    'adminControlPanelHelp' => 'Cobalt Qube ̃lbg[NAAT[rXAуANZX̐ݒǗɂ́ANbNĂB',
		    'adminMaintenanceHelp' => '\tgEFÃCXg[AVXẽobNAbvAVXe̍ċNȂǂ̃T[oǗsɂ́ANbNĂB',
		    'adminSystemStatusHelp' => 'Cobalt Qube ̃ACPUAfBXNAуlbg[N̏󋵂ɂ́ANbNĂB',
		    'adminServiceStatusHelp' => 'Web pvƃ[At@CADNS ̊eT[rX̏󋵂fBXvCɂ́ANbNĂB',
		    'adminUserModHelp' => '[U̒ǉAύXA폜уftHgݒsɂ́ANbNĂB',
		    'adminAdminModHelp' => 'Ǘ҂̐ݒύXɂ́ANbNĂB',
		    'adminCpNetworkHelp' => 'Cobalt Qube ̃lbg[N p[^ύXɂ́ANbNĂB',
		    'adminCpTimeHelp' => 'Cobalt Qube ̎ݒ肷ɂ͂NbNĂBdq[₻̑̎QƂT[rX𗘗pɂ́Aƃ^C ][𐳂ݒ肷邱ƂdvłB',
		    'adminCpServicesHelp' => 'Cobalt Qube ŎsT[rXIɂ́ANbNĂB',
		    'adminCpAccessHelp' => 'Cobalt Qube ̃ANZXݒ肷ɂ́ANbNĂB',
		    'adminBackupHelp' => 'obNAbv@\͓dq[AT[oݒAу[U/O[v t@CuEUgăp\Rɕۑ܂B',
		    'adminRestoreHelp' => '@\́A炩߃obNAbv@\găA[JCut@C𕜌܂B',
		    'adminInstallHelp' => 'Cobalt Qube ɐV\tgEFACXg[AɃCXg[Ă\tgEFA pbP[WmFɂ́ANbNĂB',
		    'adminRebootHelp' => 'KvɉāA Cobalt Qube ċNł܂B',
		    'adminShutdownHelp' => 'Cobalt Qube ̃Vbg_E菇fBXvCɂ́ANbNĂB',
		    'adminMemHelp' => '̏ԂƗp󋵃f[^fBXvCɂ́ANbNĂB',
		    'adminCPUHelp' => 'CPU ׂA^CŃfBXvCɂ́ANbNĂB',
		    'adminDiskHelp' => 'Cobalt Qube ̃fBXNp󋵂̏ڍׂfBXvCɂ́ANbNĂB',
		    'adminNetStatHelp' => 'lbg[N̏ԂƗp󋵂fBXvCɂ́ANbNĂB',
		    'adminWebHelp' => 'Cobalt Qube Ŏs Web T[ȍԂƓvfBXvCɂ́ANbNĂB',
		    'adminEmailHelp' => 'Cobalt Qube ̓dq[ T[rX (SMTPAPOP3A IMAP) ̏ԂfBXvCɂ́ANbNĂB',
		    'adminFileServicesHelp' => 't@CLT[rX (FTPASMBA AppleShare) ̏ԂfBXvCɂ́ANbNĂB',
		    'adminDNSHelp' => 'hC l[ T[rX (DNS) ̏ԂfBXvCɂ́ANbNĂB',


		    ###  LCD stuff  ###
		    'atalkStart1' => 'Appletalk', 
		    'atalkStart2' => 'ò òϽ',
		    'atalkStop1' => 'Appletalk',
		    'atalkStop2' => '޳ òϽ',
		    'httpdStart1' => ' ޽', 
		    'httpdStart2' => 'ò òϽ',
		    'httpdStop1' => ' ޽', 
		    'httpdStop2' => '޳ òϽ',
		    'shuttingDown' => '޳ òϽ',
		    'lookDHCP1' => 'DHCP ަ', 
		    'lookDHCP2' => '޼òϽ',
		    'setNet1' => 'ȯܰ', 
		    'setNet2' => 'ò òϽ',
		    'shutNet1' => 'ȯܰ', 
		    'shutNet2' => '޳ òϽ',
		    'checkingDiskQuotas1' => 'ި ر ', 
		    'checkingDiskQuotas2' => '  òϽ',
		    'ipAddress' => 'IP ڽ:       ',
		    'checkingDisk' => 'ި òϽ',
		    'setMail1' => 'Ұ٦', 
		    'setMail2' => 'ò òϽ',
		    'shutMail1' => 'Ұ٦',
		    'shutMail2' => '޳ òϽ',
		    'setSMB1' => 'SMB ޽', 
		    'setSMB2' => 'ò òϽ',
		    'shutSMB1' => 'SMB ޽', 
		    'shutSMB2' => '޳ òϽ',
		    'pleaseSwitch' => '  ݹ   ',
		    'powerOffNow' => '   ø޻   ',
		    'rebooting1' => '  Ѧ ޳  ',
		    'rebooting2' => '      òϽ     ',
		    'verifyingAndSaving1' => 'ݼ οݼòϽ',
		    'verifyingAndSaving2' => '                ',
		    'haltingSystem' => 'Ѧ òòϽ',
		    ###  End LCD stuff  ###

		    ###  Discussion Group Stuff ###
                    'groupDiscuss', => ' fBXJbV',
                    'newTopicHelp' => 'fBXJbVɑ΂VgsbNJnāÃgsbNɂẴbZ[W𓊍e܂B',
                    'AdminDiscussHelp' => '݂̃fBXJbVAfBXJbṼXbhƃbZ[W폜܂B.',
                    'otherDiscussHelp' => 'fBXJbV O[v̈ꗗɖ߂.',
                    'DiscussionArea' => 'fBXJbV̈',
                    'discussPost' => 'e',
                    'discussNewThread' => 'CROUP O[v fBXJbV̐VgsbN',
                    'discussName' => 'O',
                    'discussEmail' => 'dq[',
                    'discussSubject' => '',
                    'discussMessage' => 'bZ[W',
                    'discussPostMessage' => 'bZ[W𓊍e',
                    'wwwadminTitle' => 'CROUP fBXJbV烁bZ[W폜',
                    'wwwadminSelect1' => '폜fBXJbṼXbhIĂBXbh̃`FbN {bNXIɂƁA',
                    'wwwadminSelect2' => '̍sɃXgĂ^Cg̃bZ[WƁAɑ΂ԓȂXbhŜ폜܂B', 
                    'wwwadminList' => 'bZ[W̓fBXJbVɌfڂĂ鏇ɃXg܂B',
                    'discussThread' => 'Xbh',
                    'discussAuthor' => '쐬',
                    'discussDate' => 't',
                    'wwwadminRemoveMsg' => 'bZ[W폜',
                    'wwwadminReset' => 'Zbg',
                    'wwwadminRemoveHelp' => '̃fBXJbVɑ΂郁bZ[Wꗗɖ߂',
                    'wwwadminRemoveTitle' => 'CROUP fBXJbV烁bZ[W폜',
                    'wwwadminRmWarn' => 'bZ[W폜ł̂͊Ǘ҂łB',
                    'wwwadminUsWarn' => 's܂ - Ǘ҂̂ݕҏW\ł fBXJbV',
                    'wwwadminReturnTitle' => 'Results of Message Board Removal',
                    'wwwadminResults' => 'RESULTS OF MESSAGE BOARD REMOVAL',
                    'wwwadminNumResultsTitle' => 'Results of Message Board Removal by Number',
                    'wwwadminNumResults' => 'RESULTS OF MESSAGE BOARD REMOVAL BY
 NUMBER',
                    'wwwadminResultsBelow' => 'Below is a short summary of what messages were removed from the discussion.',
                    'wwwadminResultsAtt' => 'All files that the script attempted
 to remove, were removed,',
                    'wwwadminResultsAtt2' => 'unless there is an error message stating otherwise.',
                    'wwwadminRemoved' => 'Removed:',
                    'wwwadminCouldNotDel' => 'Files That Could Not Be Deleted:',
                    'wwwadminFilesNotFound' => 'Files Not Found:',
		    'wwwadminDiscAdmin' => 'fBXJbV̊Ǘ',

                    'wwwadminErrTitle' => '[UƃpX[hv܂',
                    'wwwadminErrHead' => '[UƃpX[hv܂',
                    'wwwadminBadPass' => '͂ꂽ[U[ƃpX[h̑gݍ킹܂Bx͂ĂB',
                    'wwwadminNoPassTitle' => 'pX[h t@Cǂݏo܂',
                    'wwwadminNoPass' => 'pX[h t@Cǂݏo܂',
                    'wwwadminNoPassMsg' => 'pX[h t@Cǂݏo܂łBt@C p[~bVmFĂĎsĂB',
                    'wwwadminWrongPassTitle' => 'pX[h͂܂',
                    'wwwadminWrongPass' => 'pX[h͂܂',
                    'wwwadminWrongPassExp' => 'VKpX[h̓͂v܂B',
                    'wwwadminWrongPassHlp' => '^Cv~X̉\܂Bēx͂ĂB.',
                    'wwwadminWrPassTitle' => 'Could Not Open Password File For Writing',
                    'wwwadminWrPass' => 'COULD NOT OPEN PASSWORD FILE FOR WRITING',
                    'wwwadminWrPassHlp' => 'Could not open the password file for
 writing!  Password not changed!',
                    'wwwboardTitle' => 'CROUP fBXJbV',
                    'wwwboardReplyHlp' => '̃fBXJbV bZ[Wɑ΂ԓ𔭐M܂B',
                    'wwwboardReturnList' => '̃fBXJbVɑ΂郁bZ[Wꗗɖ߂',
                    'wwwboardReplyToA' => '', 
                    'wwwboardReplyToB' => 'ɑ΂ԐMB̃bZ[W̓e: ', 
                    'wwwboardReplyToLbl' => 'ԐM:',
                    'discussComments' => 'Rg',
                    'wwwboardSubmit' => 'ԐM𑗐M',
                    'wwwboardMsgAdded' => 'ǉꂽbZ[W:',
                    'wwwboardMsgAddedCAPS' => 'ǉꂽbZ[W: ',
                    'wwwboardAdd' => 'bZ[W {[hɂ͎̏񂪒ǉĂ܂:',
                    'wwwboardBody' => 'bZ[W{',
                    'wwwboardLink' => 'N:',
                    'wwwboardImage' => 'Image:',
                    'wwwboardFreshness' => 'ǉ:',
                    'wwwboardGoTo' => '̃bZ[Wֈړ',
                    'wwwboardErrMsg' => '[O] tB[h󗓂̂܂܂łB̖O͂ĂđMĂB',
                    'wwwboardErrTitle' => 'G[: O͂Ă܂',
                    'wwwboardErrNoName' => 'G[: O͂Ă܂',
                    'wwwboardErrNoSubjMsg' => '[] tB[h󗓂̂܂܂łB͂ĂđMĂB',
                    'wwwboardErrNoSubj' => 'G[: ͂Ă܂',
                    'wwwboardErrNoBodyMsg' => 'bZ[WtB[h󗓂̂܂܂łBbZ[W͂ĂđMĂB.',
                    'wwwboardErrNoBody' => 'G[: bZ[W͂Ă܂',
                    'wwwboardErrUnknown' => 'G[:  `̃G[ł.',
                    'discussMessages' => 'bZ[W',
                    'userTitle' => '[USER]̃z[ y[W',
                    'userWelcome' => '[USER]̃z[ y[Wւ悤',
		    'userPageInstructions' => '̓[U z[ y[W̃ev[głB̃ev[gQlɂāÃ[U z[ y[W쐬ĂB̃y[Wɂ́Ã[UƂ̊ԂŌA낢ȏLڂ邱Ƃł܂BႦ΁Aݍƒ̃vWFNg̈ꗗAvWFNg̃XPW[AA邢͊֘A郆[U[O[vAւ̃NȂǂLڂ邱Ƃł܂Bz[ y[W ev[g Cobalt Qube }CNT[oɕtCӂ̃c[gāA邢͔Cӂ̕W HTML GfB^gĕύXł܂B쐬́A͂̂̕悤ȃev[g폜邱ƂYȂłB',
                    'userPageSchedule' => 'XPW[',
                    'userPageCurrentSch' => 'Ȃ݂̌̃XPW[}ĂBႦ΁Asݗ\A̘A\ȎԑтȂǂLqł܂BڍׂLqꍇ́AƗy[W쐬āÃy[Wւ̃N璣邱Ƃł܂B',
                    'userPageFavLinks' => 'Cɓ Web TCgւ̃N',
                    'userPageHyperlinks' => 'Ȃ̂E߂ Web TCgւ̃N}ĂBCӂ URLA܂̓T[oɃAbv[hς݂̃f[^ւ̃N쐬ł܂B邢́AVt@CT[oփAbv[hĂÃt@Cւ̃N쐬ĂB',
                    'userPageComments' => 'Ƃӌ',
                    'userPageEmailMe' => 'dq[ AhX:',
                    'groupPageTitle' => 'z[ y[W',
                    'groupPageWelcome' => '[GROUP] z[ y[Wւ悤',
                    'groupPageInstructions' => '[̓O[v z[ y[W̃ev[głB̃ev[gQlɂāÃO[v z[ y[W쐬ĂB̃y[Wɂ́AO[v̎Q҂ǎ҂̊ԂŌ邽߂́A낢ȏLڂ邱Ƃł܂BႦ΁Ã݂vWFNgAA~[eBÕXPW[AO[v oւ̃NA֘AO[vւ̃NȂǂLڂł܂Bz[ y[W ev[g Cobalt Qube }CNT[oɕtCӂ̃c[܂͔Cӂ̕W HTML GfB^gĕύXł܂B쐬́A͂̂̕悤ȃev[g폜邱ƂYȂłB]',
                    'groupPageProjects' => '݂̃vWFNg',
                    'groupPageBlueBar' => 'F̃o[',
                    'groupPageProjInst' => 'O[vݍƒ̃vWFNg̈ꗗ}ĂBevWFNg̏ڍׂLqꍇ́ÃvWFNgp̓Ɨy[W쐬āÃy[Wւ̃N璣邱Ƃł܂B',
                    'groupPageNews' => 'ŐV',
                    'groupPageItemInst' => 'O[vɂĎГŋLj[X}ĂBeڂ̏ڍׂLqꍇ́AƗy[W쐬āÃy[Wւ̃N璣邱Ƃł܂B',
                    'groupPageRelated' => '֘Aւ̃N',
                    'groupPageLinksInst' => 'O[vɊ֌ŴڂLڂhLgA܂ Web TCgւ̃N}ĂBCӂ URLA܂̓T[õt@Cւ̃N𒣂邱Ƃł܂B邢́AVt@CT[oփAbv[hĂÃt@Cւ̃N𒣂ĂB',
                    'groupPageLinks' => '֘A܂͊֘A Web TCgւ̃N}ĂB',
                    'groupPageContact' => 'A',
                    'groupPageContactInstr' => 'O[v̑\A̓dbԍdq[ AhXȂǂ̏}ĂB',
                    'groupPageEditThis' => '̃y[WҏW',
		    'groupPrivTitle' => 'vCx[g [GROUP] z[ y[W',
		    'groupPrivWelcome' => 'vCx[g [GROUP] z[ y[Wւ悤',
		    'groupPrivHeadBar' => 'wb_[ o[',
		    'groupPrivUsage' => '̓O[v z[ y[W̃ev[głB̃ev[gQlɂāÃO[v z[ y[W쐬ĂB̃y[Wɂ́AO[v̎Q҂ǎ҂̊ԂŌ邽߂́A낢ȏLڂ邱Ƃł܂BႦ΁Ã݂vWFNgAA~[eBÕXPW[AO[v oւ̃NA֘AO[vւ̃NȂǂLڂł܂Bz[ y[W ev[g Cobalt Qube }CNT[oɕtCӂ̃c[gāA邢͔Cӂ̕W HTML GfB^gĕύXł܂B쐬́A͂̂̕悤ȃev[g폜邱ƂYȂłB',
                    'hteditNoFrames' => '̃y[ẂAt[T|[guEUŕ\悤ɐ݌vĂ܂B',
                    'hteditNoFrames2' => 't[ɑΉuEUKvłB',
                    'hteditPermisDenied' => '܂ł',
                    'hteditAccessDenied' => 'ANZXۂ܂B',
                    'hteditNoPermisMsg' => 'EFu y[W r_gp錠A܂͂̃EFu y[WҏW錠܂B',
                    'hteditGoBackHome' => 'Cobalt Qube z[ y[Wɖ߂',
		    'hteditText' => 'eLXg',
		    'hteditHeading' => 'o',
		    'hteditImage' => 'C[W',
		    'hteditLink' => 'N',
		    'hteditLine' => '',
		    'hteditTitle' => '^Cg',
		    'hteditFileHelp' => '߰ނ̍쐬A݁AޭAۑA폜w肵܂B',
		    'hteditInsertHelp' => 'Iۯ̉ɐVK html ۯ}܂B',
		    'hteditSelectHelp' => 'ҏW html ۯI܂B',
		    'hteditColorHelp' => '߰ނɎgpװ޻޲݂IĂB',
		    'hteditInstructHelp' => '߰ނɊւ\܂B',
		    'hteditExitHelp' => 'Cobalt Qube ݂دΰ߰ނɖ߂܂BIO [̧] ƭgĕύXۑĂB',

                    'pageBuildTitle' => 'y[W r_̐',
                    'pageBuildSubtitle' => 'EFu y[W r_̐',
                    'pageBuildIntroTitle' => '͂߂:',
                    'pageBuildIntroMsg' => 'Cobalt Qube EFu y[W r_̓C^NeBuȃEFuJc[łBy[W r_ 4 ̃ZNV\Ă܂B̓̕Rg[ plłBł̓t@C̑AEFu y[WłꂩҏWubN̑IAEFu y[Wւ̐VKubN̒ǉAуEFu y[W̔zF̕ύXs܂BRg[ pl̉ẼEBhE̓rh EBhEłB̃EBhEɂ͍쐬̃EFu y[W\܂Brh EBhẺ͕ҏWEBhEłBҏWEBhEł́AEFu y[W̌X̃ubNڂ\ĕҏW邱Ƃł܂BҏWEBhẺ̓wv EBhEłBNGX` }[N ACRNbNƁAwv bZ[Wwv EBhEɕ\܂B', 
		    'file' => 't@C',
                    'pageBuildNew' => 'VK쐬 - EFu y[WVK쐬܂B',
                    'pageBuildOpen' => 'J -T[oɂ̃EFu y[WJĕҏW܂B',
                    'pageBuildPreview' => 'vr[ - 쐬̃EFu y[Wʂ̃EBhEɃvr[\܂B',
                    'pageBuildSave' => 'ۑ - ҏW̃EFu y[Wۑ܂B',
                    'pageBuildDelete' => '폜 - [U[܂̓O[ṽz[ fBNgɂt@C폜܂B',
                    'pageBuildSelectTitle' => 'ubNI:',
                    'pageBuildSelectMsg' => '[ubNI] v_E j[ɂ́AݕҏW̃EFu y[W̃ubN̈ꗗ\܂BubN̓EFu y[Wɕ\̂ƓŔԍtăXgAbv܂BANeBuȃubN̓v_E j[ɃftHg̃ubNƂďɕ\܂Bꂩ̃ubNIƁÃubN̓rh EBhEŋ\AҏWEBhEɕ\ĕҏWł悤ɂȂ܂BVKubN쐬ƁAANeBuȃubŇɑ}܂B',
                    'pageBuildInsertTitle' => 'ubN}:',
                    'pageBuildInsertMsg' => '[ubN}] v_E j[A}ubN̎ނIĂBIubNҏWEBhEŕҏW܂BVKubN̓ANeBuȃubN̉ɑ}܂BANeBuȃubN [ubNI] v_E j[̃ftHgƂĕ\Arh EBhEŋ\܂B',
                    'pageBuildInsertText' => 'eLXg -  eLXg pOt}܂B HTML ɏnĂȂ΁ÃubNɕWI HTML ^O}邱Ƃł܂B',
                    'pageBuildInsertHeading' => 'o - 傫\s̃eLXg}܂B', 
                    'pageBuildInsertImage' => '摜 - T[õt@CEFu y[Wɉ摜}܂B܂ANCAg }V摜t@CAbv[hđ}邱Ƃł܂B',  
                    'pageBuildInsertLink' => 'N - T[õRecAURLA邢͓dq[ AhXւ̃N}܂B܂ANCAg }Ṽt@CAbv[hăN邱Ƃł܂B',  
                    'pageBuildInsertLine' => 's - }܂B',
                    'pageBuildSelectColTitle' => 'FI:',
                    'pageBuildSelectColMsg' => '[Fݒ] {^NbNƃEFu y[WŎgpFIł܂BҏWEBhE 16 ̃J[ p^[̂ꂩNbNƁA̐Fy[WɓKp܂B',
                    'pageBuildBackButton' => '߂',

		    'title' => '^Cg',
		    'alignment' => 'zu',
		    'left' => '',
		    'center' => '',
		    'right' => 'E',
		    'style' => 'X^C',
		    'normal' => 'W',
		    'bold' => '',
		    'italic' => 'Α',
		    'size' => 'TCY',
		    'large' => '',
		    'medium' => '',
		    'small' => '',
		    'description' => '',
		    'uploadFile' => 't@CXV',
		    'horizontalLine' => '',
'lineLength' => 's̒',
		    'full' => '100%',
		    'half' => '50%',
		    'quarter' => '25%',
		    'newFile' => 'VKt@C',
		    'filename' => 't@C',
		    'insert' => '}',
		    'titleSetTo' => '݂̃^Cg:',
		    'goToUserHomepage' => '$userName ̃z[y[WɈړ',
		    'sendEmailToUser' => '$userName ɓdq[𑗐M',
		    'emailOff' => 'dq[ T[rXItł',
		    'goToGroupHomepage' => '$groupName ̃z[y[WɈړ',
		    'goToGroupPrivateHomepage' => '$groupName ̃vCx[g z[ y[WɈړ',
		    'sendEmailToGroup' => '$groupName ɓdq[𑗐M',
		    'goToDiscuss' => '$groupName ̃fBXJbVɈړ',

		    'userManual' => '[U }jA',
		    'invalidNewFilterRule' => 'Cannot add new rule: $2',
		    'filterWarning' => 'WARNING!', # to be followed by message
		    'filterPolicyAccept' => 'Accept',
		    'filterPolicyDeny' => 'Deny',
		    'filterPolicyHide' => 'Hide',
		    'filterProtoAny' => 'Any',  # as in "TCP, UDP, or Any"
		   );

    if ($messages{$key})
    {
	return $messages{$key};
    }
    else
    {
	# We should never see this
	return "Cobalt user interface message for $key";
    }
}

use Cobalt::Language;

1;
