# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from List.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/List.pm.  Changes made here will be lost.
package Cobalt::List;

sub alias_add
# Add new entries to an existing alias; if no such alias exists, add a new one
# Arguments: user name, new array of aliases
# Return value: number of actual aliases added
{
    my ($user, @aliases) = @_;
    my @oldaliases;
    if (scalar (@oldaliases = Cobalt::List::alias_get($user))) {
	return Cobalt::List::alias_set($user, @oldaliases, @aliases);
    }
    else {
	return Cobalt::List::alias_set($user, @aliases);
    }
}


1;
