# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from List.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/List.pm.  Changes made here will be lost.
package Cobalt::List;

sub alias_get_from_file
# Returns all the aliases for an address in a file
# Arguments: address, file name
# Return value: an array of ( member1, member2... )
{
    my ($user, $file) = @_;
    my @list;
    open( ALIAS, "< $file") || return ("4397 Cannot read from $file: $!");
    while ( <ALIAS> ) {
	@list = split(/,\s*/,$1) if (/^$user:\s*(.+)$/);
    }
    close ALIAS;
    return @list;
}


1;
