# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from List.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Aliasfile = "/etc/aliases";
my $Vaca_prog = "/usr/local/sbin/vacation.pl";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/List.pm.  Changes made here will be lost.
package Cobalt::List;

sub alias_get_vacationless
# Returns all the aliases for an user but for vacation and \$user
# Arguments: alias name
# Return value: an array of ( member1, member2... )
{
    my ($user) = @_;
    my @aliases = Cobalt::List::alias_get_from_file($user, $Aliasfile);
    return $aliases[0] if ($aliases[0] =~ /^[134]\S*\s/);
    return @aliases unless grep /$Vaca_prog/o, @aliases;
    @aliases = grep !/$Vaca_prog/o, @aliases;
    return grep !/^\\$user$/, @aliases;
}


1;
