# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from List.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/List.pm.  Changes made here will be lost.
package Cobalt::List;

sub list_del_mem
# Removes members from a list
# Arguments: list name, old members
# Return value: actual number of members removed
{
    my ($list, @old_members) = @_;
    my (@members, @new_members, $member, $return);
    return $members[0] if ((@members = list_get_mem($list))[0] =~ /^[134]\S*\s/);
    while ($member = shift @members) {
	 push @new_members, $member unless (grep {$member eq $_} @old_members);
    }
    return $return
	unless ($return = Cobalt::List::list_set_mem($list, @new_members));
    return("2075 Members successfully removed from $list");
}


1;
