# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from List.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Majordomo_dir = "/usr/local/majordomo";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/List.pm.  Changes made here will be lost.
package Cobalt::List;

######################################################

sub list_exist
# Does the given list exist?
# Arguments: list name
# Return value: true if it does, false if it doesn't
{
    my ($list) = @_;
    $list =~ tr[A-Z][a-z];	# lowercase the characters
    opendir(DIR, "$Majordomo_dir/lists") ||
	return("4410 Cannot open /usr/local/majordomo/lists: $!");
    my @lists = readdir(DIR);
    closedir (DIR);
    return scalar grep {$list eq $_} @lists;
}


1;
