# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from List.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Majordomo_dir = "/usr/local/majordomo";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/List.pm.  Changes made here will be lost.
package Cobalt::List;

sub list_get_mem
# Returns the membership of a list
# Arguments: list name
# Return value: an array of ( member1, member2... )
{
    my ($list) = @_;
    my @members;
    $list =~ tr[A-Z][a-z];	# lowercase the characters
    open( LIST, "$Majordomo_dir/lists/$list") ||
	return ("4491 Cannot read from /usr/local/majordomo/lists/$list: $!");
    while ( <LIST> ) {
	chop;
	next if (/^nobody$/);
	push @members, $_;
    }
    close LIST;
    return @members;
}


1;
