# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from List.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Majordomo_dir = "/usr/local/majordomo";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/List.pm.  Changes made here will be lost.
package Cobalt::List;

######################################################

sub list_is_mem
# Checks for membership in a list
# Arguments: list name, member name
# Return value: true if member is in list, false otherwise
{
    my ($list, $user) = @_;
    return 0 if ($user eq "nobody");
    $list =~ tr[A-Z][a-z];	# lowercase the characters
    open( LIST, "$Majordomo_dir/lists/$list") ||
	return ("4477 Cannot read from /usr/local/majordomo/lists/$list: $!");
    while ( <LIST> ) {
	chop;
	(close LIST, return 1) if $user eq $_;
    }
    close LIST;
    return 0;
}


1;
