# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from List.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/List.pm.  Changes made here will be lost.
package Cobalt::List;

sub list_sites_del_mem
# Delete the user from a site list, if any
# Arguments: none
# Return value: the site user was registered with, if any; 0 otherwise
{
    my ($user) = @_;
    my ($list, $group, @lists);
    return $lists[0] if ((@lists = list_lists())[0] =~ /^[134]\S*\s/);
    foreach $list (@lists) {
	next unless ($list =~ /^(.+)-users$/);
	$group = $1;
	# absolutely unnecessary to check for membership!...
	# just because list_del_mem cannot truly say whether it found
        # this user or not ... list processing should be much easier
        # than the way it is setup in sauce  - gsri@rant.com 11/01
	next unless (Cobalt::List::list_is_mem($list, $user) == 1);
	Cobalt::List::list_del_mem($list, $user);
	return $group;
    }
    return 0;
}


1;
