# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from List.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/List.pm.  Changes made here will be lost.
package Cobalt::List;

sub list_sites_is_mem
# Check whether a user is a member of any site
# Arguments: user name
# Return value: the site user is registered with, if any; 0 otherwise
{
    my ($user) = @_;
    my ($list, @lists);
    return $lists[0] if ((@lists = list_lists())[0] =~ /^[134]\S*\s/);
    foreach $list (@lists) {
	next unless ($list =~ /^(.+)-users$/);
	return $1 if (Cobalt::List::list_is_mem($list, $user) == 1);
    }
    return 0;
}


1;
