# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from List.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Altmp = "/etc/locks/altmp";
my $Lockdir = "/etc/locks";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/List.pm.  Changes made here will be lost.
package Cobalt::List;

sub unlock_aliases
# Unlocks the aliases file by wiping altmp
# Arguments: none
# Side effects: wipes altmp
{
    unlink($Altmp) || return "4264 Cannot delete aliases lock file /etc/locks/altmp: $!";
    print STDERR "Removed $Altmp\n" if ($Debug);
    unlink("$Lockdir/list-$$");
    return "2262 The aliases file is now unlocked";
}


1;
