# This file was built automatically from Messages.pm

# Copyright 1998 Cobalt Microserver (http://www.cobaltmicro.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = $Debug;
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Messages.pm.  Changes made here will be lost.
package Cobalt::Messages;

sub msg_localtime
# Return the time string, formatted the way marketing likes it
# Arguments: time in seconds since the epoch
# Return value: a string
{
    my ($time) = @_;
    my ($sec,$min,$hour,$mday,$mon,$year,$wday) = localtime($time);
    my $m;
    my @mon = ("Jan","Feb","Mar","Apr","May","Jun","Jul",
	    "Aug","Sep","Oct","Nov","Dec");
    my @day = ("Sun","Mon","Tue","Wed","Thu","Fri","Sat");
    $year += 1900;
    $hour = "0$hour" if ($hour < 10);
    $min = "0$min" if ($min < 10);
    $sec = "0$sec" if ($sec < 10);
    if ($hour > 12)
    {
	$hour -= 12;
	$m = "P.M.";  # post meridian
    }
    elsif ($hour == 12)
    {
	$m = "P.M.";
    }
    elsif ($hour == 24)
    {
	$hour = 0;
	$m = "A.M.";
    }
    else
    {
	$m = "A.M.";  # ante meridian
    }
    return "${hour}:${min}${m} on $day[$wday] $mon[$mon] $mday $year";
}

1;
