# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Messages_jpn.pm

# Copyright 1998 Cobalt Microserver (http://www.cobaltmicro.com)

use strict;
### START HARDCODED PATHS
my @Days = ("j","j","Ηj","j","ؗj","j","yj");
my @Months = ("1 ","2 ","3 ","4 ","5 ","6 ","7 ","8 ","9 ","10 ","11 ","12 ");
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = $Debug;
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Messages_jpn.pm.  Changes made here will be lost.
package Cobalt::Messages_jpn;

sub msg_localtime
# Return the time string, formatted the way marketing likes it
# Arguments: time in seconds since the epoch
# Return value: a string
{
    my ($time) = @_;
    my ($sec,$min,$hour,$mday,$mon,$year,$wday) = localtime($time);
    my $m;
    $year += 1900;
    $hour = "0$hour" if ($hour < 10);
    $min = "0$min" if ($min < 10);
    $sec = "0$sec" if ($sec < 10);
    if ($hour > 12)
    {
	$hour -= 12;
	$m = "pm";  # post meridian
    }
    elsif ($hour == 12)
    {
	$m = "pm";
    }
    elsif ($hour == 24)
    {
	$hour = 0;
	$m = "am";
    }
    else
    {
	$m = "am";  # ante meridian
    }
    return "$Days[$wday] $Months[$mon] $mday ${year}A${hour}:${min}${m}";
}

use Cobalt::Language;

1;
