# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Modem.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Modem.pm.  Changes made here will be lost.
package Cobalt::Modem;

sub modem_get_dialoutacct
# Descr: 	Get the dial out account settings
# Arguments:	A reference to a hash containing all the modem settings
# Return:	A string containing the phone number
#		A string containing the user name
#		A string containing the password
# Ex:		(phoneNum,userName,password) = Cobalt::Modem::modem_get_dialoutacct( $modemRef );
#
{

	my($modemRef_in) = @_;
	return ($$modemRef_in{'PHONE'},$$modemRef_in{'USERNAME'},$$modemRef_in{'PASSWD'});


}


1;
