# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Modem.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Modem.pm.  Changes made here will be lost.
package Cobalt::Modem;

sub modem_get_localip
# Descr:        Get the local IP address and netmask 
# Arguments:    A reference to a hash containing all the modem settings
# Return:       A string containing the IP address 
#               A string containing the netmask
# Ex:           ($ipAddr, $netmask) = Cobalt::Modem::modem_get_localip( $modemRef );
#       LOCALIP of 192.168.0.1 implies using dynamic address
#
{

        my($modemRef_in) = @_;
        return ($$modemRef_in{'LOCALIP'},$$modemRef_in{'NETMASK'});


}


1;
