# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Modem.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Ifconfig_cmd = "/sbin/ifconfig";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Modem.pm.  Changes made here will be lost.
package Cobalt::Modem;

sub modem_is_online
# Descr:        Determine if the ppp link is up 
# Arguments:    None 
# Return:       1 if the ppp0 link is up
#		0 if the ppp0 link is down 
# Ex:           $modemOnline=Cobalt::Modem::modem_is_online();
{

	my $online = 0;

  open(IFCFG,"$Ifconfig_cmd |")
    || return "4670 Cannot run /sbin/ifconfig: $!";
  while (<IFCFG>)
    {
      chomp;
      if (/^ppp0      Link encap:Point-to-Point Protocol/o)
        {
		$online = 1;
		last;
        }
    }	
	close IFCFG;
        return $online;

}


1;
