# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Modem.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Modem.pm.  Changes made here will be lost.
package Cobalt::Modem;

sub modem_set_dialmode
# Descr:        Set the modem dialing mode 
# Arguments:    A reference to a hash containing all the modem settings
#               An integer indicating the dialing mode
# 	        0 for not used
#               1 for dial out only
#               2 for dial in only
#               3 for dial in and dial out 
# Return:       Return code like "2000 OK"
# Ex:           $ret=Cobalt::Modem::modem_set_dialmode( $modemRef, 1 );
{

        my($modemRef,$dialmode_in) = @_;
        $$modemRef{'DIALMODE'} = $dialmode_in;

        return "2084 Dialmode set successfully";

}


1;
