# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Modem.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Modem.pm.  Changes made here will be lost.
package Cobalt::Modem;

sub modem_set_dialoutacct
# Descr:        Set the dial out account settings
# Arguments:    A reference to a hash containing all the modem settings
# 	        A string containing the phone number
#               A string containing the user name
#               A string containing the password 
# Return:	return code like 2000 OK`		
# Ex:           $ret = Cobalt::Modem::modem_set_dialoutacct( $modemRef,'650-9302500','kevin','secret');
#
{

        my($modemRef,$phone_in,$user_in,$pass_in) = @_;
        $$modemRef{'PHONE'} = $phone_in;
        $$modemRef{'USERNAME'} = $user_in;
        $$modemRef{'PASSWD'} = $pass_in;

        return "2087 Account information set successfully";
} 


1;
