# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Modem.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Modem.pm.  Changes made here will be lost.
package Cobalt::Modem;

sub modem_set_gatewaymode
# Descr:        Set the mode of using the modem as the default gateway or not 
# Arguments:    A reference to a hash containing all the modem settings
#		An integer indicating if the modem connection is used as the default gateway               
#               0 means no
#               1 means yes, modem is default gateway
# Return:       return code like 2000 OK`
# Ex:           $ret = Cobalt::Modem::modem_set_gatewaymode( $modemRef, 1);
#
{

        my($modemRef,$gatewaymode_in) = @_;
        $$modemRef{'GWMODE'} = $gatewaymode_in;

        return "2089 Gateway mode set successfully";
}


1;
