# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Modem.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Modem.pm.  Changes made here will be lost.
package Cobalt::Modem;

sub modem_set_model
# Descr: 	Set the modem model
# Arguments:	A reference to a hash containing all the modem settings
#		a string containing the model
# Return: 	Return code like "2000 OK"
# Ex: 		$ret=Cobalt::Modem::modem_set_model( $modemRef, 'hayes generic' );
{

	my($modemRef,$model_in) = @_;
	$$modemRef{'MODEL'} = $model_in;

	return "2085 Model set successfully";	

}


1;
