# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from NAS.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Df_cmd = "/bin/df";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/NAS.pm.  Changes made here will be lost.
package Cobalt::NAS;

# nas_fs_mounted
#
# determines if a filesystem is mounted
# arg: filesystem name (i.e., md0, hda1)
# returns: 1 or 0
sub nas_fs_mounted {
  my $fs = shift;
  my @line;

  open(DF, "$Df_cmd /dev/$fs|");
  foreach (<DF>) {
    @line = split;
    if ($line[0] eq "/dev/$fs") {
      close(DF);
      return 1;
    }
  }
  close(DF);
  return 0; # if we're here the fs doesn't exist
}


1;
