# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from NAS.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/NAS.pm.  Changes made here will be lost.
package Cobalt::NAS;

# nas_group_show_bygid: list who is in this group
# Arguments: gid
# Side effects: none
# Return value: a sorted array of group members
# Doesn't include the admin or the web server user
sub nas_group_show_bygid {
    my ($gid) = @_;
    my @users = sort(split(/\s+/o,(getgrgid($gid))[3]));

    return sort(@users);
}


1;
