# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from NAS.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/NAS.pm.  Changes made here will be lost.
package Cobalt::NAS;

# nas_share_getid
#
# Returns the share id for a share, or 0 if the share doesn't exist
#
sub nas_share_getid {
  my $share = shift;
  my $ret;

  my %smbconf;

  if ($ret = Cobalt::Samba::get_smb_services($share, \%smbconf)) {
    return $ret;
  }
  if (keys(%smbconf)) {
    $smbconf{'path'} = /\/([^\/]+)$/;
    return $1;
  } else {
    return 0;
  }
}


1;
