# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from NAS.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Gtmp = "/etc/locks/gtmp";
my $Htgtmp = "/etc/locks/htgtmp";
my $Lockdir = "/etc/locks";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/NAS.pm.  Changes made here will be lost.
package Cobalt::NAS;

sub unlock_group
# Unlocks the group file by wiping $Gtmp
# Arguments: none
# Side effects: deletes $Gtmp and $Htgtmp
{
    unlink($Htgtmp) || return "4721 Cannot delete group lock file /etc/locks/gtmp: $!";
    unlink($Gtmp) || return "4722 Cannot delete group lock file /etc/locks/gtmp: $!";
    print STDERR "Unlocked $Gtmp\n" if ($Debug);

    unlink("$Lockdir/group-$$");
    endgrent();   # sync
    return "2100 Group file unlocked";
}


1;
