# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Nat.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Filter_script = "/etc/rc.d/init.d/ipfilters";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Nat.pm.  Changes made here will be lost.
package Cobalt::Nat;

sub nat_get_on
# Checks to see if filtering rules are in effect
# Return value: 0 if filtering & masquerading are off, 
#               1 if filtering is on & masquerading is off,
#               2 if filtering is off and masquerading is on,
#               3 if filtering & masquerading are on.
# Arguments: none
# Side effects: none
{
  return 0 if (! -e $Filter_script);
  open(NAT,$Filter_script) 
    || return "4730 Cannot read default IP filter configuration: $!";
  while (<NAT>) {
    if (/^MODE=(\d+)/o) {
      close NAT;
      return $1;
    }
  }
  close NAT;
  return 0;
}


1;
