# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Netutil.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Netutil.pm.  Changes made here will be lost.
package Cobalt::Netutil;

sub netutil_test_emailaddr
# tests to see if the given email address has valid syntax
# argument 0 is an email address
# return 0 ( false ) or 1 ( true )
{
    my( $emailAddr )=@_;

    my $userName;
    my $domainName;

    if( $emailAddr=~/([^\@]+)\@([^\@]+)/ ) {
	$userName=$1;
	$domainName=$2;
    }
    else {
	$userName=$emailAddr;
    }

    if( $userName!~/^[A-Za-z0-9\.\-\_]+$/o ) { return 0; }

    if( !$domainName ) { return 1; }

    return Cobalt::Netutil::netutil_test_domainname( $domainName );
}


1;
