# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Network.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Ifconfig_cmd = "/sbin/ifconfig";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Network.pm.  Changes made here will be lost.
package Cobalt::Network;

sub net_get_alladdrs
# Lists all IP addresses to which this system answers
# This includes all physical and virtual addresses (but not loopback).
# Arguments: none
# Side effects: none
# Return value: a list of IP addresses
{
  my @addrs;
  open(IFCFG,"$Ifconfig_cmd -a|")
    || return "4761 Cannot run /sbin/ifconfig: $!";
  while (<IFCFG>)
    {
      if (/inet addr:([\d\.]+).+Mask:/o)
	{
	  push(@addrs,$1) unless ($1 eq "127.0.0.1");
	}
    }
  close IFCFG;
  return @addrs;
}


1;
