# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Network.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Network.pm.  Changes made here will be lost.
package Cobalt::Network;

sub net_network_ismember
# Is the given IP within the given network?
# Arguments: IP, network address, network mask (either decimal or dotted)
# Side effects: none
# Return value: 1 for yes, 0 for no
{
  my ($ip,$net,$mask) = @_;

  # deal with things properly whatever form the netmask is in
  $mask = Cobalt::Network::net_convert_netmask($mask) if ($mask =~ /^\d+$/o);
  return (Cobalt::Network::net_get_broadcast($ip,$mask) eq Cobalt::Network::net_get_broadcast($net,$mask)) ?
    (1) : (0);
}


1;
