# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Network.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Lockdir = "/etc/locks";
my $Netlock = "/etc/locks/NETLOCK";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Network.pm.  Changes made here will be lost.
package Cobalt::Network;

sub net_unlock_network
# When we're done, we unlock
# Arguments: none
# Return value: none
# Side effects: removes lock files
{
  my $netif;
  foreach $netif (Cobalt::Network::net_get_interfaces()) {
    unlink("$Lockdir/ifcfg-$netif");
  }
  unlink($Netlock);
}


1;
