# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Quota.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Df_cmd = "/bin/df";
my $Htusers_dir = "/usr/httpd/users";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Quota.pm.  Changes made here will be lost.
package Cobalt::Quota;

sub getqcarg
# converts a directory name into the matching device on which to set quotas
# Arguments: a directory
# Return value: a device name (e.g. /dev/hda1)
# Side effects: calls df
# This function isn't used; I hard-coded everything into Paths.pm
{
    my ($dir) = @_;
    $dir = $Htusers_dir if (! -d $dir);
    open(DF,"$Df_cmd $dir|") 
	|| return "4773 Cannot run df on $dir; $!";
    while (<DF>)
    {
	if (/^(\/dev\/\w+)/o)
	{
	    close DF;
	    return $1;
	}
    }
    return "4774 Cannot fathom the filesystem for $dir";
}


1;
