# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Samba.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Smb_nmblookup = "/usr/bin/nmblookup";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Samba.pm.  Changes made here will be lost.
package Cobalt::Samba;

use strict;

sub get_master_browsers
# Returns: a list of the IP addresses of master browsers on the local
#          net segment
# Arguments: none
# Side effects: none
{
  my @ip;
  my $tmpip;
  open(SCAN, "$Smb_nmblookup -M -|");
  while(<SCAN>) {
    next if (/^\D/o);
    ($tmpip) = split;
    push(@ip, $tmpip);
  }
  close(SCAN);
  return @ip;
}


1;
