# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Samba.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Smb_nmblookup = "/usr/bin/nmblookup";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Samba.pm.  Changes made here will be lost.
package Cobalt::Samba;

sub is_wins_server
{
  my ($ip) = @_;
  my $queryip;

  my @status = Cobalt::Samba::get_node_status($ip, 0);
  
  open (QUERY, "$Smb_nmblookup -U $ip -R $status[1]#00|")
    || return 0;  # Can't run nmblookup for some reason...
  foreach (<QUERY>) {
    ($queryip) = split(' ', $_);
    next if ($queryip eq 'Sending');
    return 0 if ($queryip eq 'name_query');
    return 1 if ($queryip eq '255.255.255.255');
  }
  close(QUERY);

  # if we're here there's been a parsing failure
  return 0;
}


1;
