# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Services.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Fpx_we80cnf = "/usr/local/frontpage/we80.cnf";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Services.pm.  Changes made here will be lost.
package Cobalt::Services;

sub get_fpx_on
# Are FrontPage Server Extensions enabled on the main site?
# Returns 1 if installed, 0 if uninstalled or never installed 
#   Tests for the existance of we80.cnf
# Arguments: none
# Side effects: none
{
    (-e $Fpx_we80cnf) ? (return 1) : (return 0);
}


1;
