# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Services.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Services.pm.  Changes made here will be lost.
package Cobalt::Services;

sub service_get_active
# Get the state of the service
# Arguments: service name
# Side effects: none
# Return value: 1 for on, 0 for off
# Example: $ret = service_enable("dns",1);
{
  my ($service) = @_;
  if ($service eq "mail") {
    return Cobalt::Services::get_mail_server_on();
  }
  if ($service eq "atalk") {
    return Cobalt::Services::get_atalk_server_on();
  }
  if ($service eq "dhcp") {
    return Cobalt::Services::get_dhcp_server_on();
  }
  if ($service eq "dns") {
    return Cobalt::Services::get_dns_server_on();
  }
  if ($service eq "ftp") {
    return Cobalt::Services::get_ftp_server_on();
  }
  if ($service eq "gated_on") {
    return Cobalt::Services::get_gated_on();
  }
  if ($service eq "networker") {
    return Cobalt::Services::get_networker_client_on();
  }
  if ($service eq "nfs") {
    return Cobalt::Services::get_nfs_server_on();
  }
  if ($service eq "ntp") {
    return Cobalt::Services::get_ntp_server_on();
  }
  if ($service eq "smb") {
    return Cobalt::Services::get_smb_server_on();
  }
  if ($service eq "snmp") {
    return Cobalt::Services::get_snmp_server_on();
  }
  if ($service eq "telnet") {
    return Cobalt::Services::get_telnet_server_on();
  }
}


1;
