# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Services.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Services.pm.  Changes made here will be lost.
package Cobalt::Services;

sub service_set_active
# Turn the given service on or off
# Arguments: service name, 1 for on/0 for off
# Side effects: sets/breaks symlinks for the boot scripts, starts up
#   the server
# Return value: status string of the form "2821 Walk on the grass"
# Example: $ret = service_enable("dns",1);
{
  my ($service,$state) = @_;
  if ($service eq "mail") {
    return Cobalt::Services::set_mail_server_on($state);
  }
  if ($service eq "atalk") {
    return Cobalt::Services::set_atalk_server_on($state);
  }
  if ($service eq "dhcp") {
    return Cobalt::Services::set_dhcp_server_on($state);
  }
  if ($service eq "dns") {
    return Cobalt::Services::set_dns_server_on($state);
  }
  if ($service eq "ftp") {
    return Cobalt::Services::set_ftp_server_on($state);
  }
  if ($service eq "gated_on") {
    return Cobalt::Services::set_gated_on($state);
  }
  if ($service eq "networker") {
    return Cobalt::Services::set_networker_client_on($state);
  }
  if ($service eq "nfs") {
    return Cobalt::Services::set_nfs_server_on($state);
  }
  if ($service eq "ntp") {
    return Cobalt::Services::set_ntp_server_on($state);
  }
  if ($service eq "smb") {
    return Cobalt::Services::set_smb_server_on($state);
  }
  if ($service eq "snmp") {
    return Cobalt::Services::set_snmp_server_on($state);
  }
  if ($service eq "telnet") {
    return Cobalt::Services::set_telnet_server_on($state);
  }
}


1;
