# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Syswatch.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my %Status = ("none","0","0","none","green","1","1","green","2","yellow","red","3","3","red","yellow","2");
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Syswatch.pm.  Changes made here will be lost.
package Cobalt::Syswatch;

sub areastat
# Get statistics for how much disk space is being used under a
#   given directory (like du -s); gives size in bytes
# Arguments: the name of the top-level directory
# Return value: none
# Side effects: adds entries to the database
{
    my ($dir) = @_;
    my $size += (stat($dir))[7];
    my $size =  (du_recursively($dir) + $size);
    db_add_entry("disk",$Status{"green"},0,$^T,0,
		 "$dir is using $size bytes","$dir",0,$size);
    
}

use Cobalt::Language;

1;
