# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from User.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Firstuid = "110";
my $Passwd = "/etc/passwd";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/User.pm.  Changes made here will be lost.
package Cobalt::User;

sub user_get_first_available_uid
# Read in the password file and figure out what the lowest
# unallocated UID is.
# Arguments: UID to start from
# Side effects: none
# Return value: a nice fresh UID to use
{
  my $lowest_id = $_[0];
  $lowest_id = $Firstuid if ($lowest_id < $Firstuid);
  
  my %ids = ();
  open(PW, "$Passwd") || return "4569 Cannot open /etc/passwd: $!";
  while (<PW>) {
    chomp;
    my ($user, $pw, $id, $rest) = split(/\:/o, $_, 4);

    # Be careful and fill in the UID holes
    if ($id == $lowest_id) {
      $lowest_id++;
    }
    elsif ($id > $lowest_id) {
      $ids{$id} = 1;
    }
  }
  close(PW);

  # Incrementing for what?
#  $lowest_id++;
  $lowest_id++ while ($ids{$lowest_id});
  return $lowest_id;
}


1;
