# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Vacation.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Vaca_dir = "/var/vacation";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Vacation.pm.  Changes made here will be lost.
package Cobalt::Vacation;

sub vacation_get_message
# Get the message being used by the vacation program
# Arguments: user name
# Return value: the message, or "" if no message
# Side effects: none
{
    my ($user) = @_;
    my $message = "$Vaca_dir/$user.msg";
    if (-r $message)
    {
	open(VACA,$message) ||
	    Cobalt::List::abort("4180 Cannot read auto-reply message for $user: $!");
	my @vaca = <VACA>;
	close VACA;
	my $vaca = join('',@vaca);
	return $vaca;
    }
    return "";
}


1;
