# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Vhost.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Sites_AdminGroup = "Site-adm";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Vhost.pm.  Changes made here will be lost.
package Cobalt::Vhost;

sub vsite_admin_add
# Add a site administrator to a virtual site
# Arguments: virtual site name or interface, list of users to add
# Side effects: adds the user(s) to the group for that site
#   and to the global site admins group
# Return value: the usual status string of the form "4210 Not a Jedi yet"
{
  my ($vsite,@admins) = @_;
  my ($addr,$mask,$host,$group,$admin) = Cobalt::Vhost::vsite_get($vsite);
  my $ret = Cobalt::Group::group_add_user($Sites_AdminGroup,@admins);
  return $ret if ($ret !~ /^2/o);  # abort if we can't fix the group
  
  # Add assorted $FtpAdminHelp files
  Cobalt::Vhost::vsite_set_siteadmin_ftphelp($group,@admins);
  
  return Cobalt::Group::group_add_user($group,@admins);
}


1;
