# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Vhost.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $MainGroup = "home";
my $Netif = "eth0";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Vhost.pm.  Changes made here will be lost.
package Cobalt::Vhost;

sub vsite_get_bygroup
# Get the information about a virtual interface by group name
# Works for either IP-based or name-based sites
# Arguments: group name
# Return value: interface or name; returns 0 if this group isn't associated
#   with any interface
# Side effects: calls Cobalt::Vhost::vsite_list() to read the httpd.conf file
# Example: $virtif = Cobalt::Vhost::vsite_get_bygroup("ratdogs");
{
    my ($group) = @_;
    return $Netif if ($group eq $MainGroup);
    my ($vhost);
    foreach $vhost (Cobalt::Vhost::vsite_list()) {
      if ($group eq $$vhost[3]) {
	return $$vhost[0];
      }
    }
    return 0;
}


1;
