# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Vsite.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Lockdir = "/etc/locks";
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Vsite.pm.  Changes made here will be lost.
package Cobalt::Vsite;

sub vsite_abort
# leave in a graceful manner
# Arguments: anything under the sun!
# Return value: garbage in, garbage out.
# Side effects: unlocks httpd.conf
{
    unlink("$Lockdir/httpd.conf") if (-e "$Lockdir/httpd.conf");
    return join('',@_);
}


1;
