# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Vsite.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Vsite.pm.  Changes made here will be lost.
package Cobalt::Vsite;

sub vsite_gen_name
# Generate a back-end name that is associated with a virtual site
# Arguments: none
# Return value: an indexed group name (site0, site1, ...)
# Example: $siteGroup = vsite_gen_name();
{
    my(@allGroups)=group_list();
    my(%activeGroups,$groupInst);
    foreach $groupInst (@allGroups) { $activeGroups{$groupInst}=1; }

    my($group,$nameIndex)=('site',1);
    while($activeGroups{$group.$nameIndex}) { $nameIndex++; }
    
    return($group.$nameIndex);
}


1;
