# This autoloader file was built automatically by 
# /usr/local/sbin/autoize from Vsite.pm

# Copyright 1998 Cobalt Networks (http://www.cobaltnet.com)

use strict;
### START HARDCODED PATHS
my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = ($Debug ||= 0);
### END HARDCODED PATHS

# NOTE: Derived from /usr/lib/perl5/site_perl/Cobalt/Vsite.pm.  Changes made here will be lost.
package Cobalt::Vsite;

sub vsite_get_bygroup
# Get the information about a virtual interface by group name
# A wrapper to vsite_list, which is why $group is a parameter and a return value
# Arguments: group name
# Return value: array of (ip,hostname,group,webmaster email) or 0 
# Side effects: calls Cobalt::Vsite::vsite_list() to read the httpd.conf file
# Example: ($ip,$hostname,$group,$webmaster_email) = Cobalt::Vsite::vsite_get_bygroup("ratdogs");
{
    my ($group) = @_;
    my ($vhost);
    foreach $vhost (Cobalt::Vsite::vsite_list()) {
      if ($group eq $$vhost[2]) {
	# return $$vhost[1];
	return @$vhost;
      }
    }
    return 0;
}


1;
